<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.storage"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
</script>
<div class="setup-title" data-ng-if='!repGrp'>
<h1 data-ng-if="isModalFromMultipleDDBGrid">
		<span data-ng-if="libraryInfo.isFirstMA || multipleDDBsListForNewDiskOrCloud.length === 0">
			<cv:msg key="title.addLibrary" bundle="storage" />
		</span>
		<span data-ng-if="!libraryInfo.isFirstMA && multipleDDBsListForNewDiskOrCloud.length > 0">
			<cv:msg key="action.addPartition" bundle="storage" />
		</span>
	</h1>
	<h1 data-ng-if="!isSetup && ((action=='addCloudLib') || (action=='newCloudLib')) && libraryInfo.serverType.id !== HPE_CATALYST_STORAGE && !isModalFromMultipleDDBGrid">
		<cv:msg key="title.addCloudMountPath" bundle="storage"/>
	</h1>
	<h1 data-ng-if="!isSetup && ((action=='addCloudLib') || (action=='newCloudLib')) && libraryInfo.serverType.id === HPE_CATALYST_STORAGE && !isModalFromMultipleDDBGrid">
			<cv:msg key="title.addHRECatalystStorage" bundle="storage"/>
		</h1>
	<h1 data-ng-if="isSetup &&((action=='addCloudLib') || (action=='newCloudLib')) && !(isTenantAdmin || isTenantOperator || isShowStorageSelection) && !isModalFromMultipleDDBGrid">
		<cv:msg key="action.addStoragePool" bundle="storage" />
		<cv-help-component help-text="<cv:msg key="label.storagePoolHelpText" bundle="storage"/>"></cv-help-component>
	</h1>
	<h1 data-ng-if="action=='editMP'"><cv:msg key="label.editCloudAccessPath" bundle="storage"/></h1>
	<h1 data-ng-if="action=='addCloudMP'">{{title}}</h1>
</div>
<div class="bootstrap-wrapper medium-width setup-content form-horizontal modal-margin">
	<div>
		<span class="{{serverMessage.type}} serverMessage">{{serverMessage.message}}</span>
		<p data-ng-show="formStorage.hide" class="{{storagePresentMessage.type}} serverMessage" data-ng-class="{'storage-top-margin' : isTenantAdmin || isTenantOperator}">{{storagePresentMessage.message}}</p>
		<p class="text-center" data-ng-show="formStorage.hide && !mspModeOn"><a data-ng-click="changeStorage()"><cv:msg key="label.addAnotherStorage" bundle="storage"/></a></p>
		<div data-ng-hide="formStorage.hide">
		<form name="storageForm" data-ng-class="[typeOfStorage.type]" novalidate data-cv-submit="addEditShareLibrary()" autocomplete="off">
			<uib-tabset data-ng-class="{'hide-tabs': isSetup || action ==='addCloudLib' || (action=='addCloudMP' && libraryInfo.serverType.id === HPE_CATALYST_STORAGE) || isModalFromMultipleDDBGrid}">
				<uib-tab heading=<cv:msg key="label.accessInformation" bundle="storage"/>>
					<div data-ng-class="{'panel panel-body margin-top-20': isShowStorageSelection}" class="padding-bottom-30">
						<ng-include src="'/adminconsole/adminConsole/partials/addCloudTemplate.jsp'"></ng-include>
					</div>
				</uib-tab>
				<uib-tab  data-ng-if="!isSetup && (action=='addCloudLib' || (action=='newCloudLib') ||  action=='editMP' || action=='addCloudMP') && libraryInfo.serverType.id !== HPE_CATALYST_STORAGE" heading=<cv:msg key="label.proxyServer" bundle="storage"/>>
					<div class="form-group">
						<label class="col-xs-5 col-sm-5"><cv:msg key="label.proxyAddress" bundle="storage"/></label>
						<div class="col-xs-7 col-sm-7">
							<input type="text" name="ProxyAddress" data-ng-model="libraryInfo.proxyAddress" maxlength="128"/>
						</div>
					</div>
					<div class="form-group">
						<label class="col-xs-5 col-sm-5"><cv:msg key="label.port" bundle="storage"/></label>
						<div class="col-xs-7 col-sm-7">
							<input type="number" name="ProxyPort" data-ng-model="libraryInfo.proxyPort" maxlength="128"/>
						</div>
					</div>
					<div class="form-group">
						<label class="col-xs-5 col-sm-5"><cv:msg key="label.userName" bundle="storage"/></label>
						<div class="col-xs-7 col-sm-7">
							<input type="text" name="ProxyUserName" data-ng-model="libraryInfo.proxyUsername" maxlength="128"/>
						</div>
					</div>
					<div class="form-group">
						<label class="col-xs-5 col-sm-5"><cv:msg key="Password" bundle="storage"/></label>
						<div class="col-xs-7 col-sm-7">
							<input type="password" name="ProxyPassword" data-ng-model="libraryInfo.proxyPassword" maxlength="128"/>
						</div>
					</div>

				</uib-tab>
				<uib-tab data-ng-if="!isSetup && action=='editMP'" heading=<cv:msg key="label.advanced" bundle="storage"/>>
					<div class="form-group">
						<label class="col-xs-5 col-sm-5"><cv:msg key="label.accessType" bundle="storage"/></label>
						<div class="col-xs-7 col-sm-7">
							<select id="accessType" name="accessType" data-ng-model="libraryInfo.controller.accessTypeValue"
									data-ng-options="at.value as at.text for at in accessTypes | orderBy: 'text' " required
									data-ng-class="{'has-error': cv.addCollectionForm.needsAttention(addCollectionForm.Access)}">
								<option value=""><cv:msg key="placeholder.accessType" bundle="storage"/></option>
							</select>
							<span class="help-block" data-ng-show="cv.addCollectionForm.needsAttention(addCollectionForm.Access)"><cv:msg key="error.accessType" bundle="storage"/></span>
						</div>
					</div>
					<div class="form-group">
						<div class="col-lg-12">
							<input id="enable" type="checkbox" data-ng-model="libraryInfo.enabled" />
							<label for="enable" style="clear:both">
								<cv:msg key="label.enable" bundle="storage"/>
							</label>
						</div>
					</div>
<!-- 				Since it's not a mount path property
					<div class="form-group" data-ng-hide="libraryInfo.controller.protocolType == '0'">
						<div class="col-lg-12">
							<input id="disableForWrite" type="checkbox" data-ng-model="libraryInfo.disableForWrite" />
							<label for="disableForWrite" style="clear:both">
								<cv:msg key="label.disableForWrite" bundle="storage"/>
							</label>
						</div>
					</div> -->
				</uib-tab>
			</uib-tabset>
			<!-- // MediaAgent(s)  grid starts // -->
			<div data-ng-if="(isCloudStorageForMultipleDDBs && action=='addCloudLib' && !sSetup && !isModalFromMultipleDDBGrid)" 
				class="padding-left-15 padding-right-15 margin-top-minus-50">
			<cv-kendo-grid data-cv-grid-options="storageGridForDiskCloudMultipleDDB"></cv-kendo-grid>	
			</div>
			<!-- // MediaAgent(s)  grid ends // -->
			<div class="button-container">
				<button id="addCloudStorage_button_#5532" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-click="cancel()">
					<cv:msg key="Cancel" bundle="messages"/>
				</button>
				<%-- <button id="addCloudStorage_button_#4276" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-hide="action=='addMP' ||action=='addCloudLib' action=='newCloudLib'" data-ng-click="deleteMountPath()"> 
					<cv:msg key="Delete" bundle="messages"/>
				</button> --%>
				<button id="addCloudStorage_button_#3208"  data-ng-if="!isSetup" data-ng-click="saveButtonClick()"  class="btn btn-primary cvBusyOnAjax" type="submit" data-ng-disabled ="disableSaveButton()"> 
					<div data-ng-if="action=='editMP'">
						<cv:msg key="action.save" bundle="storage"/>
					</div>
					<div data-ng-if="action=='addCloudLib' || action=='newCloudLib' || action=='addCloudMP'" >
						<cv:msg key="action.save" bundle="storage"/>
					</div>
				</button>
				<button id="addCloudStorage_button_#6118" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-if="isCurrentStepCompleted()" data-ng-click="skip()"><cv:msg key="Skip" /></button>
				<button id="addCloudStorage_button_#0236" data-ng-if="isSetup" data-ng-click="saveButtonClick()" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-disabled="disableSaveButton()">
					<div >
                        <cv:msg key="action.save" bundle="storage" />
                    </div>
				</button> 
			</div>
		</form>
		</div>
		<div class="button-container centered" data-ng-show="formStorage.hide">
			<button id="addCloudStorage_button_#6373" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-click="skip()"><cv:msg key="Continue" /></button>
		</div>
	</div>
</div>
