<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collectionsJs"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1 data-ng-if="!clientGroupId"><cv:msg key="label.AddClientGroup" bundle="clients" /></h1>
	<h1 data-ng-if="clientGroupId  && !shouldCloneServerGroups""><cv:msg key="label.editClientGroupAssociations" bundle="clients" /></h1>
	<h1 data-ng-if="clientGroupId && shouldCloneServerGroups"><cv:msg key="label.cloneClientGroup" bundle="clients" /></h1>
</div>
<div class="setup-content">
	<span class="{{serverMessage.type}} serverMessage" data-ng-bind="serverMessage.message"></span>
	<section>
		<form name="addEditClientGroupForm" novalidate data-cv-submit="saveClientGroup()" autocomplete="off" class="edit-users-grid-form">
			<div class="user-edit-content">
			<div data-ng-if="!clientGroupId || shouldCloneServerGroups" class="global-options remove-border-padding">
				<label for="name"><cv:msg key="label.name" bundle="collections"/>
					<input type="text" id="name" name="name" data-ng-model="clientGroupInfo.clientGroup.clientGroupName" required
							data-ng-class="{'has-error': cv.addEditClientGroupForm.needsAttention(addEditClientGroupForm.name)}" />
					<span class="help-block" data-ng-show="addEditClientGroupForm.name.$error.required && cv.addEditClientGroupForm.needsAttention(addEditClientGroupForm.name)"><cv:msg key="error.name" bundle="collections"/></span>

					</label>
					<%-- <div class="row">
						<div class="col-md-6">
							<label for=""><cv:msg key="label.selectClient" bundle="clients"/>
							</label>
						</div>
						<div class="col-md-6">
							<div class="role-show-selection-wrapper" >
								<input type="checkbox" name="showSelected" id="showSelected" data-ng-model="isDisplaySelection" data-ng-click="toggleShowSelectedRows()"/>
								<label class="checkbox-label" for="showSelected"><cv:msg key="label.showSelected" bundle="users" /></label>
							</div>
						</div>
					</div> --%>
			</div>

			<!-- <div data-ng-if-"clients" id="category-container" data-ivh-treeview="clients" data-ivh-treeview-expand-to-depth="2" data-ivh-treeview-use-checkboxes="true" data-ivh-treeview-on-cb-change="selectionChanged(ivhNode, ivhIsSelected, ivhTree)">
			</div> -->
			<div class="storage-type">
				<label class="margin-left-0 margin-right-10">
						<input type="radio" data-ng-model="serverGroupType" data-ng-change="checkIsSmartClientGroup()" data-ng-value="serverGroupTypes.MANUAL" name="associationType.manual">
					<cv:msg key="label.manualAssociation" bundle="clients"/>
				</label>
				<label class="margin-left-0 margin-right-10">
						<input type="radio" data-ng-model="serverGroupType" data-ng-change="checkIsSmartClientGroup()" data-ng-value="serverGroupTypes.AUTOMATIC" name="associationType.automatic">
					<cv:msg key="label.automaticAssociation" bundle="clients"/>
				</label>
					<label class="margin-left-0 margin-right-10">
						<input type="radio" data-ng-model="serverGroupType" data-ng-change="checkIsSmartClientGroup()" data-ng-value="serverGroupTypes.VMDISCOVERED" name="associationType.vmdiscovered">
						<cv:msg key="label.vmAssocitaion" bundle="clients"/>
					</label>
			</div>
			<div data-ng-if="!clientGroupInfo.isSmartClientGroup && !clientGroupInfo.isDiscoveredClientGroup">
				<div class="margin-left-right servergroup-modal-height">
					<cv-grid data-ng-if="clients && gridOptions" cv-grid-options="gridOptions"></cv-grid>
				</div>
			</div>
			<div data-ng-if="clientGroupInfo.isSmartClientGroup && !clientGroupInfo.isDiscoveredClientGroup">
				<data-ng-include src="configureSCGRulesTemplate"></data-ng-include>
			</div>
			</div>
			<div data-ng-if="clientGroupInfo.isDiscoveredClientGroup">
				<data-ng-include src="addVMDiscoveredClientGroup"></data-ng-include>
			</div>
			<div class="user-edit-content">
				<div class="button-container">
					<fmt:bundle basename="localization.messages">
						<button id="addEditClientGroupModel_button_#1056" type="button" class="btn btn-secondary cvBusyOnAjax" ng-click="saveClientGroup(true)" ng-if="clientGroupInfo.isSmartClientGroup"><cv:msg key="label.preview" bundle="collectionsJs" /></button>
						<button id="addEditClientGroupModel_button_#6377" type="button" class="btn btn-secondary cvBusyOnAjax setup-btn--hidden" data-ng-click="cancel()"><cv:msg key="Cancel" bundle="messages" /></button>
						<button id="addEditClientGroupModel_button_#6511" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="Save" bundle="messages" /></button>
				  	</fmt:bundle>
				</div>
			</div>
		</form>
	</section>
</div>
