<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
		<cv:cvMessages bundle="localization.capps"></cv:cvMessages>
		<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
		<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
		<cv:cvMessages bundle="localization.users"></cv:cvMessages>
		<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
		<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
		<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
		<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
		<cv:cvMessages bundle="localization.security"></cv:cvMessages>
		<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
</script>
<!-- <h1 class="page-title">
	<span data-ng-bind="clientDetails.client.clientEntity.clientName" data-ng-show="serverMessage.message==''"></span>
	<span data-ng-bind="serverMessage.message"></span>
</h1>-->
<div class="row">
	<div class="col-xs-12 flex-detail-header padding-bottom-20">
			<cv-changename obj='changeNameObj' service-method='changeServerName.do' class="float-left" callback="changeNameSuccess" data-ng-show="serverMessage.message==''" status-icon="{{serverStatusIcon}}"></cv-changename>
			<cv-capability-links class="flex-page-actions" data-ng-if="clientDetailsActionsLoaded" cv-permitted-options="permittedOptions"></cv-capability-links>
	</div>
</div>
<div class="row">
	<div class="col-xs-12"><span class="server-message {{serverMessage.type}}" data-ng-bind="serverMessage.message"></span></div>
</div>
<div class="row">
	<div class="col-md-6">
		<cv-tile-component data-ng-if="isOverviewTabSelected" data-ac-id="clientDetails-heading_clientGeneral-clients" data-title='<cv:msg key="heading.clientGeneral" bundle="clients" />' data-loader="clientDetails" cv-capability="cvCapabilityConfig.general">
			<ul class="group list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.clientName" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.client.displayName"></span></li>
				<li data-ng-if="clientDetails && clientDetails.pseudoClientInfo.clientType!='DB_THIN_CLIENT' && !clientDetails.clientProps.IsPseudoRAC" class="group"><span class="pageDetailColumn"><cv:msg key="label.data.serverHostName" bundle="servers" /></span>
					<span>
					    <cv-tile-edit value="clientDetails.client.clientEntity.hostName" enable-inlineedit="true" edit-func="updateHostName()">
						    <input type="text" data-ng-model="uiModel.clientEntity.hostName"/>
					    </cv-tile-edit>
					</span>
				</li>
				<li class="group" data-ng-show="clientDetails.client.clientEntity.commCellName.length>0"><span class="pageDetailColumn"><cv:msg key="label.commserveHostName" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.client.clientEntity.commCellName"></span></li>
				<li data-ng-if="clientDetails && clientDetails.pseudoClientInfo.clientType!='DB_THIN_CLIENT'" class="group"><span class="pageDetailColumn"><cv:msg key="header.Version" bundle="clients" /></span>
					<span class="pageDetailColumn"> {{clientDetails.client.versionInfo | getVersionLabel}}</span></li>
				<!-- indexing version for VSA : START -->
                <li id="indexingVersion" data-ng-if="showIndexingVersionForVSA" class="group">
	                <span class="pageDetailColumn"><cv:msg key="label.indexingVersion" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="indexingVersionForVirtualServer"></span>
				</li>
				<!-- indexing version for VSA : END -->
				<li data-ng-if="clientDetails && clientDetails.clientProps.IsVirtualClient" class="group"><span class="pageDetailColumn"><cv:msg key="header.physicalSlashCluster" bundle="clients" /></span>
					<span class="pageDetailColumn"><cv:msg key="label.Cluster" bundle="clients" /></span></li>
				<li data-ng-if="clientDetails && clientDetails.clientProps.IsVirtualClient" class="group"><span class="pageDetailColumn"><cv:msg key="header.activePhysicalNode" bundle="serversJs" /></span>
                    <span class="pageDetailColumn"><a href="#/clientDetails/{{clientDetails.ActivePhysicalNode.clientId}}" data-ng-bind="clientDetails.ActivePhysicalNode.clientName"></a></span></li>
				<cv-client-readiness-status ng-if="clientDetails && !isSqlCloudClient" client-id="{{clientId}}"  client-readiness="clientDetails.clientReadiness"></cv-client-readiness-status>
				<li data-ng-if="showEdgedriveOptions" class="group">
					<span class="pageDetailColumn"><cv:msg key="label.auditDriveOperations" bundle="clients" /></span>
					<span class="pageDetailColumn"> <toggle-control
								disabled="clientDetails.pseudoClientInfo.edgeDrivePseudoClientProperties.edgeDriveAssociations.cloudServerType === 'SolrClusterCloud'"
								status="clientDetails.pseudoClientInfo.edgeDrivePseudoClientProperties.auditDriveActivities ? 'enabled-activity' : 'disabled-activity'"
								title="{{'label.enableDisable' | cvLoc}}"
								data-ng-click="setEdgeDriveClientOptions(!clientDetails.pseudoClientInfo.edgeDrivePseudoClientProperties.auditDriveActivities, 'enableAuditDrive')"></toggle-control></span></li>
				<li data-ng-if="showEdgedriveOptions" class="group">
					<span class="pageDetailColumn"><cv:msg key="label.enableNotificationForShares" bundle="clients" /></span>
					<span class="pageDetailColumn"> <toggle-control
								status="clientDetails.pseudoClientInfo.edgeDrivePseudoClientProperties.enableNotificationsForShares ? 'enabled-activity' : 'disabled-activity'"
								title="{{'label.enableDisable' | cvLoc}}"
								data-ng-click="setEdgeDriveClientOptions(!clientDetails.pseudoClientInfo.edgeDrivePseudoClientProperties.enableNotificationsForShares, 'enableNotificationShares')"></toggle-control></span>
				</li>
                <li class="group">
                	<span class="pageDetailColumn"><cv:msg key="label.jobStartTime" bundle="profiles" /></span>
                	<span class="pageDetailColumn">
                		<cv-job-start-time on-save="jobStartTimeProps.onSave(isEnabled, jobStartTime)" on-reset="jobStartTimeProps.onReset()" job-start-time="jobStartTimeProps.jobStartTimeObj"></cv-job-start-time>
                	</span>
                </li>
				<!-- region add/edit block -->
                <li class="group planMigration-block" data-ng-if="!clientDetails.clientProps.IsPseudoRAC">
                	<cv-region-select data-ng-if="planRuleEnabled" data-cv-client-id="clientId" data-cv-client-region-info="clientRegion"></cv-region-select>
                </li>
				<!-- End region add/edit block -->

				<li data-ng-if="companyId" class="group padding-top-15">
                	<span class="pageDetailColumn"><cv:msg key="label.company" bundle="messagesJs" /></span>
                	<span class="pageDetailColumn" >
						<a href="#/subscriptions/{{companyId}}" data-ng-bind="companyName"></a>
                	</span>
                </li>

			</ul>
		</cv-tile-component>
		<cv-security-component data-ng-if="!isOverviewTabSelected" entity-type='entityType' generic-entity = 'genericEntity' associations='formattedSecurityAssociations' associations-loaded='associationsLoaded' client-props="generatePrivacyParams" show-owners=true cv-capability="cvCapabilityConfig.security">
		</cv-security-component>
		<div data-ng-if="clientDetailsActionsLoaded && !isOverviewTabSelected" data-ng-disabled = "disablePrivacySetting()">
			<cv-privacy-setting-component   subscription-data="subscriptionData" generic-entity='genericEntity' client-props="generatePrivacyParams" show-separate-tab="true"></cv-privacy-setting-component>
		</div>
		<div data-ng-if="clientDetailsActionsLoaded && !isOverviewTabSelected">
			<cv-passkey-setting-component   subscription-data="subscriptionData" generic-entity='genericEntity' client-props="generatePrivacyParams" show-separate-tab="true"></cv-passkey-setting-component>
		</div>
		<cv-encrytion-setting-component data-ng-if="!isOverviewTabSelected" generic-entity='genericEntity' client-props="generatePrivacyParams" show-edit="isClientOwner"></cv-encrytion-setting-component>
		<cv-proxy-servers data-ng-if="!(IBMiProperties.showIBMiProperties || showOpenVMSProperties) && !showClusterGroupProperties && !isOverviewTabSelected" data-cv-client-id="clientDetails.ActivePhysicalNode.clientId" data-cv-pseudo-clients="clientDetails.PseudoClients"></cv-proxy-servers>
	</div>
	<div class="col-md-6">
		<cv-activity-control-component data-ng-if="!isOverviewTabSelected" data-ac-params="acParams">
		</cv-activity-control-component>
		<cv-tile-component data-ng-if="!isOverviewTabSelected && isAdministration" data-ac-id="clientDetails-administration-clients" data-title='<cv:msg key="label.administration" bundle="clients"/>' data-min-height="true" loader="administrationActivities">
			<ul class="list-style__row group ">
				<li class="group">
					<span class="pageDetailColumn" title='<cv:msg key="label.ospatchingToolTip" bundle="clients"/>'><cv:msg key="label.ospatching" bundle="clients" /></span>
					<span class="pageDetailColumn"> <toggle-control
								status="administrationActivities.isWindowsPatchingEnabled ? 'enabled-activity' : 'disabled-activity'"
								title="{{'label.enableDisable' | cvLoc}}"
								data-ng-click="toggleAdminstrationActivity(2)"></toggle-control></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn" title='<cv:msg key="label.sqlpatchingToolTip" bundle="clients"/>'><cv:msg key="label.sqlpatching" bundle="clients" /></span>
					<span class="pageDetailColumn"> <toggle-control
								status="administrationActivities.isSQLPatchingEnabled ? 'enabled-activity' : 'disabled-activity'"
								title="{{'label.enableDisable' | cvLoc}}"
								data-ng-click="toggleAdminstrationActivity(1)"></toggle-control></span>
				</li>
			</ul>
		</cv-tile-component>

		<div data-ng-if="!isOverviewTabSelected && clientDetails">
			<cv-sla-client data-entity-data="clientDetails" data-entity-type="'CLIENT_ENTITY'" data-entity-id="clientId"></cv-sla-client>
		</div>

		<cv-sql-server-account
			data-ng-if="!isOverviewTabSelected && showSQLServerAccountTile"
			sql61-prop="clientDetails.pseudoClientInfo.idaInfo.sql61Prop" entity-id="clientId"></cv-sql-server-account>

		<cv-tile-component data-ng-if="isOverviewTabSelected" data-ac-id="clientDetails-heading_roles-clients" data-title='<cv:msg key="heading.roles" bundle="clients"/>' data-min-height="true" loader="roles" data-ng-show="roles.length > 0">
			<ul class="list-style__row group ">
				<li>
					<span data-ng-repeat="role in roles" >
						<span data-ng-hide="$index==0">, </span>{{role}}</span>
				</li>
			</ul>
		</cv-tile-component>
		<cv-tile-component data-ng-if="isOverviewTabSelected" data-ac-id="clientDetails-heading_clientsGroup-clients" data-title='<cv:msg key="heading.clientsGroup" bundle="clients" />' data-loader="clientDetails" data-min-height="true">
			<ul class="list-style-secondary">
				<li data-ng-repeat="data in clientDetails.clientGroups"><a href="#/clientGroupDetails/{{data.clientGroupId}}">{{data.clientGroupName}}</a></li>
				<li class="info-place-holder" data-ng-if="!clientDetails.clientGroups || clientDetails.clientGroups.length === 0"><cv:msg key="label.noServergroupsIncluded" bundle="clients" /></li>
			</ul>
			<div class="page-details-box-links" data-ng-if="clientDetails"><a href="" data-ng-click="openEditServerGroupModal()"><cv:msg key="label.edit" bundle="clients"/></a></div>
		</cv-tile-component>
		<cv-tile-component data-ng-if="showOpenVMSProperties && isOverviewTabSelected" data-ac-id="clientDetails-heading_openVMSProperties" data-title='<cv:msg key="label.openVMSProperties" bundle="serversJs" />'>
			<ul class="group list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn">
						<cv:msg key="label.baseInstallFolder" bundle="serversJs" />
					</span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.openVMSProperties.baseInstallFolder"></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn">
						<cv:msg key="label.cvdPort" bundle="serversJs" />
					</span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.openVMSProperties.cvdPort"></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn">
						<cv:msg key="label.userName" bundle="serversJs" />
					</span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.openVMSProperties.userAccount.userName"></span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="editOpenVMSProperties()">
					<cv:msg key="label.edit" bundle="clients"/>
				</a>
			</div>
		</cv-tile-component>
		<cv-tile-component data-ng-if="showClusterGroupProperties && !isOverviewTabSelected" data-ac-id="clientDetails-heading_openClusterGroupProperties" data-title='<cv:msg key="label.clusterGroup" bundle="serversJs" />'>
			<ul class="group list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn">
						<cv:msg key="label.nodes" bundle="serversJs" />
					</span>
					<span class="pageDetailColumn" data-ng-if="!clientDetails.clusterClientProperties.clusterGroupAssociation"><cv:msg key="label.noNodes" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-if="clientDetails.clusterClientProperties.clusterGroupAssociation && clientDetails.clusterClientProperties.clusterGroupAssociation.length > 0">
							<span data-ng-repeat="data in clientDetails.clusterClientProperties.clusterGroupAssociation">
							<span data-ng-hide="$index==0">, </span><a href="#/clientDetails/{{data.clientId}}">{{data.clientName}}</a></span>
					</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn">
						<cv:msg key="heading.Agents" bundle="clients" />
					</span>
					<span class="pageDetailColumn" data-ng-if="!clientDetails.clusterClientProperties.configuredAgents"><cv:msg key="label.noAgents" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-if="clientDetails.clusterClientProperties.configuredAgents && clientDetails.clusterClientProperties.configuredAgents.length > 0">
							<span data-ng-repeat="data in clientDetails.clusterClientProperties.configuredAgents" data-ng-if="filterAgents(data.ComponentId)">
							{{data.ComponentName}} <span data-ng-hide="$last">, </span> </span>
					</span>
				</li>
				<li class="group">
					<span class="pageDetailColumn">
						<cv:msg key="label.jobstoragecache" bundle="serversJs" />
					</span>
					<span class="pageDetailColumn" data-ng-bind="clientDetails.client.jobResulsDir.path"></span>
				</li>
			</ul>
			<div class="page-details-box-links">
				<a href="" data-ng-click="editClusterGroupProperties()">
					<cv:msg key="label.edit" bundle="clients"/>
				</a>
			</div>
		</cv-tile-component>
		<cv-tile-component ng-if="IBMiProperties.showIBMiProperties && !isOverviewTabSelected" data-ac-id="clientDetails-heading_IBMiProperties" data-title='<cv:msg key="label.IBMiProperties" bundle="serversJs" />' enable-accordion="true">
					<ul class="group list-style-secondary">
						<li class="group">
							<span class="pageDetailColumn">
								<cv:msg key="label.dataFolder" bundle="serversJs" />
							</span>
							<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.ibmiInstallOptions.dataFolder"></span>
						</li>
						<li class="group">
							<span class="pageDetailColumn">
								<cv:msg key="label.cvdPort" bundle="serversJs" />
							</span>
							<span class="pageDetailColumn" data-ng-bind="clientDetails.client.cvdPort"></span>
						</li>
						<li class="group">
							<span class="pageDetailColumn">
								<cv:msg key="label.userName" bundle="serversJs" />
							</span>
							<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.ibmiInstallOptions.userProfile.userName"></span>
						</li>
						<li class="group">
							<span class="pageDetailColumn">
								<cv:msg key="label.subsystemDescription" bundle="serversJs" />
							</span>
							<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.ibmiInstallOptions.subsysDescription"></span>
						</li>
						<li class="group">
							<span class="pageDetailColumn">
								<cv:msg key="label.jobQueue" bundle="serversJs" />
							</span>
							<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.ibmiInstallOptions.jobQueue"></span>
						</li>
						<li class="group">
							<span class="pageDetailColumn">
								<cv:msg key="label.jobPriority" bundle="serversJs" />
							</span>
							<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.ibmiInstallOptions.jobProirity"></span>
						</li>
						<li class="group">
							<span class="pageDetailColumn">
								<cv:msg key="label.runPriority" bundle="serversJs" />
							</span>
							<span class="pageDetailColumn" data-ng-bind="clientDetails.pseudoClientInfo.ibmiInstallOptions.runPriority"></span>
						</li>
					</ul>
				</cv-tile-component>
		<cv-reorder-entities-tile ng-if="(IBMiProperties.showIBMiProperties || showOpenVMSProperties) && isOverviewTabSelected" on-edit="editProxyServers()" loader="clientDetails" entity-list="entityList" display-field="clientName" title="<cv:msg key="label.accessNodes" bundle="serversJs" />" on-save="saveProxyOrder(entities)"></cv-reorder-entities-tile>
		<cv-sql-cloud-config-component
			data-ng-if="isSqlCloudClient && !isOverviewTabSelected"
			sql-prop-loaded="clientDetails.pseudoClientInfo.idaInfo.sql61Prop"
			entity-type= "'APPTYPE_ENTITY'"
			generic-entity= "agentEntity"
			aws-sql-info='clientDetails.pseudoClientInfo.idaInfo.sql61Prop.awsSqlInfo'
			proxies='clientDetails.pseudoClientInfo.virtualServerClientProperties.virtualServerInstanceInfo.associatedClients'
			azure-sql-info='clientDetails.pseudoClientInfo.idaInfo.sql61Prop.azureInfo'>
		</cv-sql-cloud-config-component>
		<cv-entity-tags-tile data-ng-if="entityObject && !isOverviewTabSelected" entity="entityObject" has-edit-permissions="userHasEditTagsPermission"></cv-entity-tags-tile>	
	</div>
</div>
<cv-grid data-ng-if="isOverviewTabSelected && !hideAgents" cv-grid-options="gridOptions"></cv-grid>
