<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.alerts"></cv:cvMessages>
	<cv:cvMessages bundle="localization.restoreJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.users"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
</script>


<div class="form-group row margin-top-10">
			<div class="col-sm-5"><label class="no-margin"><cv:msg key="label.clientScope" bundle="clients"/></label></div>
			<div class="col-sm-7">
			<isteven-multi-select
						id="configureSCGRulesTemplate_isteven-multi-select_scgEntityScopes"
						input-model="scgEntityScopes"
						output-model="selectedScopeEntity"
						button-label="entityTypeName"
						item-label="entityTypeName"
						tick-property="selected"
						class="isteven-multi-select user-group-select"
						helper-elements="none"
						selection-mode="single"
						on-item-click="updateSCGScope(selectedScopeEntity)"/>
			</div>
</div>
<!-- class=" form-group add-users group plan-usergroup-invite left-align-select2" -->
 		<div class="form-group row left-align-select2" data-ng-if="selectedScopeEntityType[0].entityType==13" >
 				<div class="col-sm-5"><label class="no-margin"><span><cv:msg key="label.user" bundle="users"/></span></label></div>
 				<div class="col-sm-7">
	 					<cv-select-2 search-options="searchConfig" output-model="selectedUser" ></cv-select-2>
 				</div>
 		</div>

        <div data-ng-if="selectedScopeEntityType[0].entityType==15" class="form-group row">
			<div class="col-sm-5"><label class="no-margin"><cv:msg key="label.userGroup" bundle="users"/></label></div>
			<div class="col-sm-7">
				<isteven-multi-select
						id="configureSCGRulesTemplate_isteven-multi-select_scgUserGroups"
						input-model="scgUserGroups"
						output-model="selectedUserGroup"
						button-label="userGroupName"
						item-label="userGroupName"
						tick-property="selected"
						class="isteven-multi-select user-group-select"
						helper-elements="none filter"
						selection-mode="single"
						on-item-click="updateSelectedUserGroup(selectedUserGroup)"/>
			</div>
		</div>
		<div data-ng-if="selectedScopeEntityType[0].entityType==61" class="form-group row">
			<div class="col-sm-5"><label class="no-margin"><cv:msg key="label.domainOrOrganization" bundle="clients"/></label></div>
			<div class="col-sm-7">
				<isteven-multi-select
						id="configureSCGRulesTemplate_isteven-multi-select_scgDomainGroups"
						input-model="scgDomainGroups"
						output-model="selectedDomain"
						button-label="domainName"
						item-label="domainName"
						tick-property="selected"
						class="isteven-multi-select user-group-select"
						helper-elements="none filter"
						selection-mode="single"
						on-item-click="updateSelectedDomain(selectedDomain)"/>

			</div>
		</div>		
			<div class="ng-scope flex-detail-header margin-top-20 margin-bottom-5"><h4 class="col-sm-3 rule-group-heading"><cv:msg key="label.ruleGroups" bundle="messages"/></h4>
				<span class="cv-flexbox vertical-center col-sm-3 col-sm-offset-2"><a data-ng-click="addRuleGroup()"><cv:msg key="label.addRuleGroup" bundle="messages"/></a></span>
				<div class='col-sm-4 form-group rule-group-op'>
					<label class="no-margin inline-label margin-right-5"><cv:msg key="label.matchRuleGroupOp" bundle="messages"/>: </label>
					<select ng-disabled="scgRuleGroupList.length<=1" class="no-margin margin-top-5 padding-left-0 rule-group-op-select" ng-change="changeRuleGroupOp(currentRuleGroupOp)" data-ng-model="currentRuleGroupOp" data-ng-options="option.value as option.label for option in ruleTypeList"></select>
				</div>
			</div>
			<hr class="rule-group-divider margin-top-5">
			<div data-ng-repeat="ruleGroup in scgRuleGroupList track by $index">
				<div class="row">
					<div class="col-sm-3">
						<label class="no-margin">
							<cv:msg key="label.ruleGroup" bundle="messages"/>
							<a href="" data-ng-click="removeRuleGroup($index)" title="Remove\"><span class="k-icon k-i-close" data-ng-if="scgRuleGroupList.length>1"></span></a>
						</label>
					</div>
					<div class="col-sm-9">
						<div class="row no-margin">
							<div class="col-sm-3 col-sm-offset-4">
								<label class="no-margin inline-label"><a data-ng-click="openSCGRuleModal(false, $index)"><cv:msg key="label.addRule" bundle="collectionsJs"/></a></label>
							</div>
							<div class='col-sm-5 form-group rule-group-op'>
								<label class="no-margin inline-label margin-right-5"><cv:msg key="label.matchRuleGroupOp" bundle="messages"/>: </label>
								<select ng-disabled="ruleGroup.length<=1" class="no-margin margin-top-5 padding-left-0 rule-group-op-select" data-ng-model="scgOpTypeLabelList[$index]" data-ng-options="option.value as option.label for option in ruleTypeList">
								</select>
							</div>
						</div>	
					</div>
				</div>
				<hr class="no-margin margin-bottom-5 margin-left-15 margin-right-10 rule-group-divider">
				<span class="margin-top-10" data-ng-if="ruleGroup && ruleGroup.length == 0">
					<centre>
						<cv:msg key="label.noRulesAdded" bundle="messagesJs"/>
					</centre>
				</span>
				<ul class="margin-left-20 text-left" data-ng-if="ruleGroup && ruleGroup.length > 0">
					<li class="margin-bottom-15 ng-scope" data-ng-repeat="rule in ruleGroup track by $index" ng-attr-title="{{rule.ruleLabel}}">
						<a href="" data-ng-click="openSCGRuleModal(true, $parent.$index, rule)" class="ng-binding">{{rule.ruleLabel}}</a>
						<span class="delete-row margin-right-10">
							<a href="" data-ng-click="removeSCGRule(rule, $parent.$index)" title="Remove\"><span class="k-icon k-i-close" data-ng-if="ruleGroup.length>1"></span></a>
						</span>
					</li>
				</ul>
			</div>