<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
		<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
		<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
		<cv:cvMessages bundle="localization.oracle"></cv:cvMessages>
</script>
<script type="text/ng-template"  id="browseTree_item_renderer.html">
	<div data-ng-class="{selected: isNodeSelected(item)}"> 
		<button id="createOracleSubclient_button_#3352"  data-ng-class="item.state | lowercase" data-ng-click="folderDrilledDown(item,$event)"></button>           
 		<span data-ng-click="folderSelected(item)">{{item.label}}</span> 
	</div> 
    <div class="children" data-ng-class="item.state"> 
         <div class="browse-item" data-ng-repeat="item in item.children" data-ng-include="'browseTree_item_renderer.html'"></div> 
 			<!--<a data-ng-class="{hidePlease :!item.partiallyLoaded}" data-ng-click="loadMore(item)">More</a>--> 
    </div>
</script>
<div class="setup-title"><h1><cv:msg key="action.subclientCreation" bundle="clients" /></h1></div>
<div class="setup-content" >
	<span class="{{serverMessage.type}}" data-ng-bind="serverMessage.message"></span>
		<section>
			<form name="createSubclientForm" novalidate autocomplete="off" data-cv-submit="createSubclient()" >
				<div class="form-panel-holder">
					<label> 
						<span class="page-detail-column"> 
							<label for="subclientName">
								<cv:msg key="label.SubclientName" bundle="clients" />
							</label>
						</span> 
						<span class="page-detail-column float-right"> 
							<input type="text" name="subclientName" id="subclientName" 
								data-ng-model="scEnity.subclientName" required autofocus />
						</span> 
						<span class="help-block" data-ng-show="cv.createSubclientForm.needsAttention(createSubclientForm.subclientName)">
							<cv:msg key="error.subclientName" bundle="clients" />
						</span>
					</label> 
					<label>
						<span class=page-detail-column>
							<label for="storagePolicy">
								<cv:msg key="header.storagePolicy" bundle="clients" />
							</label>	
						</span>	
						<span class="page-detail-column select-label float-right">
								<select id="storagePolicy" name="storagePolicy"  data-ng-required="true" 
									data-ng-model="subclientInfo.storagePolicy" data-ng-options="sp as sp.storagePolicyName for sp in subclientInfo.storagePoliciesList | orderBy:'storagePolicyName'">
									<option value=""><cv:msg key="label.selectStoragePolicy" bundle="clients"/></option>
								</select>
						</span>	
						<span class="help-block" data-ng-show="cv.createSubclientForm.needsAttention(createSubclientForm.storagePolicy)">
							<cv:msg key="error.selectStoragePolicy" bundle="clients" />
						</span>
					</label>
					
					<label> 
						<span class="page-detail-column"> 
							<label for="numberBackupStreams">
								<cv:msg key="label.numberBackupStreams" bundle="oracle" /> 
							</label>	
						</span> 
						<span class="page-detail-column float-right"> 
							<input type="number" id="numberBackupStreams" 
								name="numberBackupStreams" min="0" data-ng-model="subclientInfo.numberBackupStreams" />
						</span> 
					</label>
					<label> 
						<span class="page-detail-column text-overflow-allowed"> 
							<input type="checkbox" id="dataBackup" 
								name="dataBackup" data-ng-model="subclientInfo.dataBackup" /> 
							<label for="dataBackup">
								<span>
									<cv:msg key="label.dataBackup" bundle="oracle" />
								</span>	
							</label>
						</span>
						<span class="page-detail-column float-right"></span>
					</label>
					<div>
						<label>
							<span class="page-detail-column element-indent-class text-overflow-allowed">
								<input ng-disabled="(!subclientInfo.dataBackup)" class="user" 
									type="radio" id="onlineData" value="0" data-ng-model="subclientInfo.backupMode" />
								<label for="onlineData">
									<span>
										<cv:msg key="label.onlineData" bundle="oracle" />
									</span>	
								</label>			
							</span>
							<span class="page-detail-column float-right"></span>
						</label>
						<label>
							<span class="page-detail-column element-indent-class text-overflow-allowed">
								<input ng-disabled="(!subclientInfo.dataBackup)" class="user" 
									type="radio" id="onlineSubset" value="1" data-ng-model="subclientInfo.backupMode" />
								<label for="onlineSubset">
									<span>
										<cv:msg key="label.onlineSubset" bundle="oracle" />
									</span>
								</label>			
							</span>
							<span class="page-detail-column float-right"></span>
						</label>
						<label>
							<span class="page-detail-column element-indent-class text-overflow-allowed">
								<input ng-disabled="(!subclientInfo.dataBackup)" class="user" type="radio" 
									id="offlineData" value="2" data-ng-model="subclientInfo.backupMode" />
								<label for="offlineData">
									<span>
										<cv:msg key="label.offlineData" bundle="oracle" />
									</span>
								</label>			
							</span>
							<span class="page-detail-column float-right"></span>
						</label>
					</div>
					<div ng-show="(subclientInfo.backupMode == 1)" class="browse-tree" data-ng-class="item.state">
						 <div class="browse-item"> 
							<div data-ng-class="{selected: isNodeSelected(tree)}" >
								<button id="createOracleSubclient_button_#6875" data-ng-class="tree.state | lowercase" data-ng-click="folderDrilledDown(tree,$event)"></button> 
								<span data-ng-click="folderSelected(tree)">{{tree.label}}</span>
								<div data-ng-repeat="item in tree.children" class="browse-item" data-ng-include="'browseTree_item_renderer.html'"></div>
							</div>
						</div>
					</div>
					
					<label> 
						<span class="page-detail-column text-overflow-allowed"> 
							<input type="checkbox" id="logBackup" 
								name="logBackup" data-ng-model="subclientInfo.logBackup" /> 
							<label for="logBackup">
								<span>
									<cv:msg key="label.logBackup" bundle="oracle" />
								</span>	
							</label>	
						</span>
						<span class="page-detail-column float-right"></span>
					</label>
					<label> 
						<span class="page-detail-column text-overflow-allowed element-indent-class"> 
							<input ng-disabled="(!subclientInfo.logBackup)" type="checkbox" 
								id="deleteArchiveLogs" name="deleteArchiveLogs" data-ng-model="subclientInfo.archiveDelete" /> 
							<label for="deleteArchiveLogs">
								<span>
									<cv:msg key="label.deleteArchiveLogs" bundle="oracle" />
								</span>	
							</label>	
						</span>
						<span class="page-detail-column float-right"></span>
					</label>		
					<div class="button-container" >
						<button id="createOracleSubclient_button_#1073" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-click="cancel()"><cv:msg key="Cancel" bundle="messages" /></button> 
						<button id="createOracleSubclient_button_#4204" type="submit" class="btn btn-primary cvBusyOnAjax" ><cv:msg key="Save" bundle="messages" /></button> 
					</div>
				</div>
		</form>
	</section>
</div>