<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.sqlserver"></cv:cvMessages>
	<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
</script> 
<div>
	<div class="setup-title">
		<h1><cv:msg key="action.CreateNewInstance" bundle="clients"/></h1>
		<span class="server-message {{serverMessage.type}}" data-ng-bind="serverMessage.message"></span>
	</div>
	
	<div class="setup-content">
		<form name="addSqlServerForm" novalidate autocomplete="off" class="add-collection-form">
			<section> 
			 	<div class = "panel form-panel-holder">						<!-- GENERAL TAB -->
					<label>
						<span class=page-detail-column><cv:msg key="label.sqlServerInstance" bundle="clients"/></span>	
						<span class="page-detail-column select-label float-right">
							<select name="instanceName" id="instanceName" data-ng-options="servers.servername as servers.servername for servers in unconfiguredServers | orderBy:'servername'" 
								data-ng-model="sqlserverInfo.instanceName" data-ng-change="inputAlertFlags.instanceName = false" required class="input">
								<option value=""><cv:msg key="label.selectInstance" bundle="sqlserver"/></option>
							</select>
						</span>	
						<span class="help-block" data-ng-show="inputAlertFlags.instanceName" ><cv:msg key="error.instanceName" bundle="sqlserver"/></span>
						<span class="help-block" data-ng-show= "checkDuplicateName(sqlserverInfo.instanceName)"> <cv:msg key="error.duplicateInstanceName" bundle="sqlserver"/> </span>
					</label>
			
					<%-- <label>
						<span class="page-detail-column text-overflow-allowed">
							<input type="checkbox" id="overrideSettings" name="overrideHigherLevelsSettings" data-ng-model="sqlserverInfo.overrideHigherLevelsSettings"/>
							<label for="overrideSettings"><span><cv:msg key="label.overrideHigherLevelsSettings" bundle="sqlserver"/></span></label>
						</span>
						<span class="page-detail-column float-right"></span>
					</label> --%>
							
					<label data-ng-show="sqlserverInfo.overrideHigherLevelsSettings">
						<span class="page-detail-column">
							<input type="radio" id="uselocalSystemAccount" name="uselocalSystemUser" value="1" class="localAccount" data-ng-model="sqlserverInfo.useLocalSystemAccount" 
								data-ng-disabled="sqlserverInfo.overrideHigherLevelsSettings===false">
							<label for="uselocalSystemAccount"> <span><cv:msg key="label.useLocalSystemAccount" bundle="sqlserver"/></span></label>			
						</span>
						<span class="page-detail-column float-right">
							<input type="radio" id="uselocalSystemAccountImp" name="uselocalSystemUser" value="2" class="localAccount" data-ng-model="sqlserverInfo.useLocalSystemAccount"
													data-ng-disabled="sqlserverInfo.overrideHigherLevelsSettings===false">
							<label for="uselocalSystemAccountImp"> <span><cv:msg key="label.impersonateUser" bundle="sqlserver"/></span> </label>
						</span>
					</label>
					
					<label data-ng-show = "((sqlserverInfo.useLocalSystemAccount == 2) && (sqlserverInfo.overrideHigherLevelsSettings === true))">
						<span class="page-detail-column element-double-indent-class"><cv:msg key="label.userName" bundle="servers"/></span>
						<span class="page-detail-column float-right">
							<input type="text" name="username"  data-ng-model="sqlserverInfo.username" data-ng-change="inputAlertFlags.username=false"
							    data-ng-disabled = "((sqlserverInfo.useLocalSystemAccount == 1) || (sqlserverInfo.overrideHigherLevelsSettings === false))" 
								data-ng-required = "!((sqlserverInfo.useLocalSystemAccount == 1) || (sqlserverInfo.overrideHigherLevelsSettings === false))" />					
						</span>
						<span class="help-block" data-ng-show="inputAlertFlags.username" ><cv:msg key="error.userName" bundle="users"/></span>
					</label>
						
					<label data-ng-show = "((sqlserverInfo.useLocalSystemAccount == 2) && (sqlserverInfo.overrideHigherLevelsSettings === true))">
						<span class="page-detail-column element-double-indent-class"><cv:msg key="label.password" bundle="servers"/></span>
						<span class="page-detail-column float-right">
							<input type="password" name="password"  data-ng-model="sqlserverInfo.password" data-ng-change="inputAlertFlags.password=false"
								data-ng-disabled = "((sqlserverInfo.useLocalSystemAccount == 1) || (sqlserverInfo.overrideHigherLevelsSettings === false))" 
								data-ng-required = "!((sqlserverInfo.useLocalSystemAccount == 1) || (sqlserverInfo.overrideHigherLevelsSettings === false))" />
						</span>
						<span class="help-block" data-ng-show="inputAlertFlags.password" ><cv:msg key="error.password" bundle="users"/></span>
					</label>
						
					<%-- <label>
						<span class="page-detail-column"><cv:msg key="label.defaultDataStoragePolicy" bundle="sqlserver"/></span>	
						<span class="page-detail-column select-label float-right">
							<select name="DBStoragePolicy" id="DBStoragePolicy" 
								data-ng-options="sp.storagePolicyName as sp.storagePolicyName for sp in sqlserverInfo.availableStoragePolicies | orderBy:'storagePolicyName'" 
								data-ng-model="sqlserverInfo.associatedDBStoragePolicyName"
								data-ng-change="inputAlertFlags.dataStoragePolicy=false" required class="input">
								<option value=""><cv:msg key="label.selectStoragePolicy" bundle="clients"/></option>
							</select>
						</span>
						<span class="help-block" data-ng-show="inputAlertFlags.dataStoragePolicy"><cv:msg key="error.DBStoragePolicy" bundle="sqlserver"/></span>	
					</label>
	
					<label>
						<span class="page-detail-column">
							<cv:msg key="label.defaultLogStoragePolicy" bundle="sqlserver"/>
						</span>
						<span class="page-detail-column select-label float-right">
							<select name="LogStoragePolicy" id="LogStoragePolicy" 
								data-ng-options="sp.storagePolicyName as sp.storagePolicyName for sp in sqlserverInfo.availableStoragePolicies | orderBy:'storagePolicyName'" 
								data-ng-model="sqlserverInfo.associatedLogStoragePolicyName" 
								data-ng-change="inputAlertFlags.logStoragePolicy=false" required class="input">
								<option value=""><cv:msg key="label.selectStoragePolicy" bundle="clients"/></option>
							</select>						
						</span>
						<span class="help-block" data-ng-show="inputAlertFlags.logStoragePolicy"><cv:msg key="error.logStoragePolicy" bundle="sqlserver"/></span>
					</label> --%>
					
				</div>		
					 
			</section>
			<div class="button-container">					
		  		<button id="createSqlServerInstance_button_#9673" type="button" class="btn btn-default cvBusyOnAjax setup-btn--hidden" data-ng-click="closeModal()"><cv:msg key="Cancel" bundle="messages"/></button> 
		  		<button id="createSqlServerInstance_button_#8203" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-click="createSqlServerInstance()"><cv:msg key="Add" bundle="messages" /></button> 
			</div>
		</form>
	</div>
</div>
