<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
    <cv:cvMessages bundle="localization.storage"></cv:cvMessages>
    <cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
</script>
<div class="cv-wizard" data-ng-class="{ 'cv-wizard-classic': wizCtrl.useClassicHeader }" data-ng-show="!wizCtrl.initialStepId || wizCtrl.initialStepLoaded">
    <div class="cv-wizard-container container-fluid" data-ng-if="!wizCtrl.useClassicHeader">
        <div class="cv-wizard-header">
            <h1 class="cv-wizard-heading" ng-bind="wizCtrl.title"></h1>
            <div class="cv-wizard-step-tracker" data-ng-if="wizCtrl.getStepIds().length > 1">
                <div class="cv-wizard-step-tracker-bar" data-ng-repeat-start="stepId in wizCtrl.getStepIds()" data-ng-if="!$first"></div>
                <div class="cv-wizard-step-tracker-step" data-ng-repeat-end
                        data-ng-class="{ 'cv-wizard-step-complete': wizCtrl.isStepComplete(stepId), 'cv-wizard-step-active': wizCtrl.isStepActive(stepId) }">
                    <a class="cv-wizard-step-tracker-step-link" data-ng-if="wizCtrl.isSkippingEnabled()" data-ng-click="wizCtrl.goToStep($index)" href="">
                        <span data-ng-if="wizCtrl.isStepActive(stepId) || !wizCtrl.isStepComplete(stepId)" data-ng-bind="($index + 1)"></span>
                        <span data-ng-if="!wizCtrl.isStepActive(stepId) && wizCtrl.isStepComplete(stepId)" class="k-icon k-i-check"></span>
                    </a>
                    <span class="cv-wizard-step-tracker-step-link" data-ng-if="!wizCtrl.isSkippingEnabled()">
                        <span data-ng-if="wizCtrl.isStepActive(stepId) || !wizCtrl.isStepComplete(stepId)" data-ng-bind="($index + 1)"></span>
                        <span data-ng-if="!wizCtrl.isStepActive(stepId) && wizCtrl.isStepComplete(stepId)" class="k-icon k-i-check"></span>
                    </span>
                </div>
            </div>
        </div>
        <div class="cv-wizard-body" ng-transclude></div>
    </div>
    <div class="setup-container" data-ng-if="wizCtrl.useClassicHeader">
        <h1 data-ng-if="wizCtrl.title" data-ng-bind="wizCtrl.title" class="page-title"></h1>
        <ul class="steps group" data-ng-if="wizCtrl.useClassicHeader">
            <li data-ng-repeat="stepId in wizCtrl.getStepIds()"
                    data-ng-class="{ 'current': wizCtrl.isStepActive(stepId), 'done': wizCtrl.isStepComplete(stepId) }">
                <span data-ng-if="!wizCtrl.isSkippingEnabled()" data-ng-bind="wizCtrl.getStepTitle(stepId)"></span>
                <a data-ng-if="wizCtrl.isSkippingEnabled()" data-ng-click="wizCtrl.goToStep($index)" href="" data-ng-bind="wizCtrl.getStepTitle(stepId)"></a>
            </li>
        </ul>
        <span class="center-container">
            <div class="center-container__center-el">
                <div class="back-strip" ng-transclude></div>
            </div>
        </span>
    </div>
</div>