<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
	<cv:cvMessages bundle="localization.oracle"></cv:cvMessages>
</script>
<div class="row">
	<div class="col-md-6">
		<cv-tile-component data-ac-id="heading_clientGeneral-clients" data-title='<cv:msg key="heading.clientGeneral" bundle="clients" />' data-loader="instanceDetails">
			<ul class="list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="header.Version" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="instanceDetails.version"></span></li>
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.oracleHome" bundle="oracle" /></span>
					<span class="pageDetailColumn" data-ng-bind="instanceDetails.oracleInstance.oracleHome"></span></li>
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.ConnectionString" bundle="oracle" /></span>
					<span class="pageDetailColumn" data-ng-bind="connectionString"> </span></li>
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.osUserName" bundle="oracle" /></span>
					<span class="pageDetailColumn" data-ng-bind="instanceDetails.oracleInstance.oracleUser.userName"> </span></li>
			</ul>
		</cv-tile-component>
			<cv-security-component entity-type='entityType' generic-entity = 'genericEntity' associations='formattedSecurityAssociations' associations-loaded="associationsLoaded">
			</cv-security-component>
		</div>
	<div class="col-md-6">
		<cv-tile-component data-ac-id="Storage-storage" data-title='<cv:msg key="Storage" bundle="storage" />'>
			<ul class="list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="header.storagePolicy" bundle="clients"/></span>
					<span class="pageDetailColumn" data-ng-bind="storageDevice.commandLineStoragePolicy.storagePolicyName"></span></li>
				<li class="group"><span class="pageDetailColumn"><cv:msg key="header.logStoragePolicy" bundle="clients"/></span>
					<span class="pageDetailColumn" data-ng-bind="storageDevice.logBackupStoragePolicy.storagePolicyName"></span></li>
				<li class="group"><span class="pageDetailColumn"></span>
					<span class="pageDetailColumn" ></span></li>
			</ul>
		</cv-tile-component>
		<%-- <cv-storage-policy storage-device='storageDevice' node-enity='instanceDetails.instance'
					node-type='INSTANCE_ENTITY' show-log-storage='showLogStorage' >
		</cv-storage-policy> --%>
		<cv-tile-component data-ac-id="heading_instanceStatus-oracle" data-title='<cv:msg key="heading.instanceStatus" bundle="oracle"/>'>
		<div ng-controller="oracleInstanceOptionsCtrl">
			<ul class="list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.oracleStatus" bundle="oracle"/></span>
						<span class="pageDetailColumn" data-ng-bind="oraInstanceStatus"> </span></li>
			</ul>
		  	<div class="page-details-box-links">
				<a href="" data-ng-click="refreshOraInstance(instanceDetails.instance)"><cv:msg key="action.refresh" bundle="collections" /></a>
			</div>
		</div>
		</cv-tile-component>
	</div>
</div>
