<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.security"></cv:cvMessages>
</script>
<cv-tile-component data-ng-if="passkeyCtrl.showPasskeyFeature" data-ac-id="label_passkey-users" loader="passkeyCtrl.dataLoaded" data-title='<cv:msg key="label.passkey" bundle="security"/>' data-min-height="true" >
	<ul class="list-style-secondary" data-ng-init="passkeyCtrl.init()">
		<li id="passkeySetting_passkeyCreateEditRemove" class="group">
			<span class="pageDetail-three-columns-first">
				<cv-help-text help-label="label.passkeyText" help-text="helpText.passkeyText" bundle="security"></cv-help-text>
			</span>
			<span class="pageDetail-three-columns-second higher-width">
				<toggle-control class="passkeyCtrl.togglePasskey" status="passkeyCtrl.togglePasskey" data-ng-click="passkeyCtrl.togglePasskeyClick()"></toggle-control>
			</span> 
			<a data-ng-if="passkeyCtrl.advancedPrivacySettings.authType === 'USE_PASSKEY'" class="pageDetail-three-columns-third lesser-width" href=""  data-ng-click="passkeyCtrl.editPasskey()"><cv:msg key="action.editModal" bundle="profiles"/></a> 
		</li>
		<li id="passkeySetting_authorizeForRestore" data-ng-if="passkeyCtrl.advancedPrivacySettings.authType === 'USE_PASSKEY'" class="group">
			<span class="pageDetail-three-columns-first">
				<cv-help-text help-label="label.authorizeForRestore" help-text="helpText.authorizeForRestore" bundle="security"></cv-help-text>
			</span>
			<span class="pageDetail-three-columns-second lesser-width">
				<toggle-control class="passkeyCtrl.authForRestoreToggle" status="passkeyCtrl.authForRestoreToggle" data-ng-click="passkeyCtrl.authForRestoreToggleAction()"></toggle-control>
			</span>
			<span class="pageDetail-three-columns-third higher-width" data-ng-if="passkeyCtrl.showAuthForRestoreDuration && passkeyCtrl.authForRestoreToggle === 'enabled-activity' && passkeyCtrl.validTillDateInMilliSeconds">
				<cv:msg key="label.validTill" bundle="security"/>
				<a href= "" data-ng-click = "passkeyCtrl.authForRestoreToggleAction('edit')" data-ng-bind="passkeyCtrl.validTillDateInMilliSeconds | date : 'yyyy-MM-dd hh:mm a'" ></a>
			</span>
		</li>
		<li id="passkeySetting_allowUsersToEnablePasskey" class="group" data-ng-if="passkeyCtrl.subscriptionData">
			<span data-ng-if="passkeyCtrl.sourcePage === 'commcell'" class="pageDetail-three-columns-first">
				<cv-help-text help-label="label.allowUsersToEnablePasskey" help-text="helpText.allowUsersToEnablePasskey" bundle="security"></cv-help-text>
			</span>
			<span data-ng-if="passkeyCtrl.sourcePage !== 'commcell'" class="pageDetail-three-columns-first"><cv:msg key="label.allowOwnersToEnablePasskey" bundle="security"/></span>
			<span class="pageDetail-three-columns-second">
				<toggle-control class="passkeyCtrl.clientPasskey.isEnabled" status="passkeyCtrl.clientPasskey.isEnabled" data-ng-click="passkeyCtrl.enableDisableClientPasskey()"></toggle-control>
			</span>
		</li>
	</ul>
</cv-tile-component>
