<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.capps"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1 data-ng-if="!clientGroupId"><cv:msg key="label.previewServerGroups" bundle="serversJs" /></h1>
</div>
<div class="setup-content" id="serverGroupPreviewModal">
	<span class="{{serverMessage.type}} serverMessage" data-ng-bind="serverMessage.message"></span>
	<uib-accordion close-others="true">
		<div uib-accordion-group is-open="accordionStatus.added" ng-if="previewTypes.added" class="text-left bg-clr-modal-grid">
			<uib-accordion-heading>
				<span><cv:msg key="label.added" bundle="capps" /> <b>({{ previewData.added.length }})</b></span>
				<i class="float-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionStatus.added, 'glyphicon-chevron-right': !accordionStatus.added}"></i>
			</uib-accordion-heading>
			<div ng-if="grid.gridAdded">
				<cv-kendo-grid cv-grid-options="grid.gridAdded"></cv-kendo-grid>
			</div>
		</div>
		<div uib-accordion-group is-open="accordionStatus.deleted" ng-if="previewTypes.deleted" class="text-left bg-clr-modal-grid">
			<uib-accordion-heading>
			<span><cv:msg key="label.deleted" bundle="capps" /> <b>({{ previewData.deleted.length }})</b></span>
			<i class="float-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionStatus.deleted, 'glyphicon-chevron-right': !accordionStatus.deleted}"></i>
			</uib-accordion-heading>
			<div ng-if="grid.gridDeleted">
				<cv-kendo-grid cv-grid-options="grid.gridDeleted"></cv-kendo-grid>
			</div>
		</div>
		<div uib-accordion-group is-open="accordionStatus.unchanged" ng-if="previewTypes.unchanged" class="text-left bg-clr-modal-grid">
			<uib-accordion-heading>
			<span><cv:msg key="label.unchanged" bundle="capps" /> <b>({{ previewData.unchanged.length }})</b></span>
			<i class="float-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionStatus.unchanged, 'glyphicon-chevron-right': !accordionStatus.unchanged}"></i>
			</uib-accordion-heading>
			<div ng-if="grid.gridUnchanged">
				<cv-kendo-grid cv-grid-options="grid.gridUnchanged"></cv-kendo-grid>
			</div>
		</div>
	</uib-accordion>
	<div ng-if="displayInfoMessage()">
		<p class="text-muted margin-top-20"><cv:msg key="label.noServerMatchingRules" bundle="serversJs" /></p>
	</div>
	<div class="button-container">
		<button id="previewClientGroups_button_#5026" class="btn btn-primary cvBusyOnAjax" ng-click="closePreviewModal()"><cv:msg key="label.close" bundle="messagesJs" /></button> 
	</div>
</div>