<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script src="${pageContext.request.contextPath}/common/js/encoder.js"></script>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.sendLogs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.users"></cv:cvMessages>
	<cv:cvMessages bundle="localization.storage"></cv:cvMessages>
	<cv:cvMessages bundle="localization.settingsJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
</script>
<div id="send-logs-modal" class="send-logs-setup">
	<div class="setup-title">
			<h1><cv:msg key="label.pageHeader" bundle="sendLogs"/>
			<span data-ng-switch="sendLogsMetadata.destination">
				<span data-ng-switch-when="jobs">{{sendLogsMetadata.jobid}}</span>
				<span data-ng-switch-when="blrReplicationGroups">{{sendLogsMetadata.pairName}}</span>
				<span data-ng-switch-default>{{sendLogsMetadata.clientName}}</span>
			</span>
			</h1>
	</div>
	<div class="setup-content log-files center-content">
		<span class="{{serverMessage.type}} serverMessage">{{serverMessage.message}}</span>
		<div>
			<form name="sendLogsForm" class="send-logs-form" data-ng-submit="submitMetaForSendLogs(this)" >
				 <uib-accordion close-others="false">
				 	<div data-ng-show="sendLogsMetadata.computersSelected == 1" uib-accordion-group is-open="accordionStatus.generalTab"  class="panel form-panel-holder"  data-scroll-to-when-open>
						<uib-accordion-heading><cv:msg key="label.sendLogsGeneral" bundle="sendLogs" /><i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionStatus.generalTab, 'glyphicon-chevron-right': !accordionStatus.generalTab}"></i></uib-accordion-heading>
						<ng-include src="includeURLS['generalTab']"></ng-include>
					</div>
					<div uib-accordion-group is-open="accordionStatus.outputTab"  class="panel form-panel-holder"  data-scroll-to-when-open>
						<uib-accordion-heading><cv:msg key="label.output" bundle="sendLogs" /><i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionStatus.outputTab ,'glyphicon-chevron-right': !accordionStatus.outputTab}"></i></uib-accordion-heading>
						<ng-include src="includeURLS['uploadTo']"></ng-include>
						<ng-include data-ng-if="enableSaveToOptions" src="includeURLS['outputTo']"></ng-include>
					</div>
					<div uib-accordion-group is-open="accordionStatus.infoTab"  class="panel form-panel-holder"  data-scroll-to-when-open>
						<uib-accordion-heading><cv:msg key="label.information" bundle="sendLogs" /><i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionStatus.infoTab, 'glyphicon-chevron-right': !accordionStatus.infoTab}"></i></uib-accordion-heading>
						<ng-include src="includeURLS['collectionsTab']"></ng-include>
					</div>
					<div uib-accordion-group is-open="accordionStatus.advancedTab"  class="panel form-panel-holder"  data-scroll-to-when-open>
						<uib-accordion-heading><cv:msg key="label.advanced" bundle="sendLogs" /><i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionStatus.advancedTab, 'glyphicon-chevron-right': !accordionStatus.advancedTab}"></i></uib-accordion-heading>
						<ng-include src="includeURLS['advancedTab']"></ng-include>
					</div>
					<div uib-accordion-group is-open="accordionStatus.notificationTab"  class="panel form-panel-holder"  data-scroll-to-when-open>
						<uib-accordion-heading><cv:msg key="label.notification" bundle="sendLogs" /><i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': accordionStatus.notificationTab ,'glyphicon-chevron-right': !accordionStatus.notificationTab}"></i></uib-accordion-heading>
						<email-details></email-details>
					</div>
				</uib-accordion>
				<div class="button-container">
					<button id="sendLogsModal_button_#2469" type="submit" data-ng-disabled="loadingSendLogsMetadata" class="btn btn-primary cvBusyOnAjax">
						<cv:msg key="label.submitSendLogs" bundle="sendLogs" />
					</button>
				</div>
			</form>
		</div>
	</div>
</div>
