<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<cv-tile-component data-ac-id="Storage-storage" data-title='<cv:msg key="Storage" bundle="storage"/>' data-ng-if="hideCopyProperties" loader = "storagePoliciesLoaded">
	<ul class="group list-style-secondary" data-ng-hide="storagePolicyEditorEnabled">
		<li class="group"><span class="pageDetailColumn"><cv:msg key="header.dataStoragePolicy" bundle="clients"/></span>
			<span class="pageDetailColumn" data-ng-bind="storagePolicies.dataBackupStoragePolicy.storagePolicyName"></span>
		</li>
		<li class="group" data-ng-if="showLogStoragePolicy"><span class="pageDetailColumn"><cv:msg key="header.logStoragePolicy" bundle="clients"/></span>
			<span class="pageDetailColumn" data-ng-bind="storagePolicies.logBackupStoragePolicy.storagePolicyName"></span>
		</li>
	</ul>
	<div class="page-details-box-links" data-ng-if="showEdit"><a href="" data-ng-click="enableStoragePolicyEditor()"><cv:msg key="action.edit" bundle="settingsJs"/></a></div>
	<div class="margin-top-20" data-ng-show="storagePolicyEditorEnabled">
		<!-- // start bootstrap // -->
		<div class="bootstrap-wrapper form-horizontal">
		<div class="form-group">
			<label class="col-xs-12 col-md-4 col-lg-4" for="dataStoragePolicy"><cv:msg key="header.dataStoragePolicy" bundle="clients" /></label>
			<div class="col-xs-12 col-md-8 col-lg-8">
			<select id="dataStoragePolicy"
					name="dataStoragePolicy"
					data-ng-model="newStoragePolicies.dataBackupStoragePolicy"
					data-ng-options="test.storagePolicyName for test in storagePoliciesList | orderBy:'storagePolicyName' track by test.storagePolicyId"></select>
			</div>
		</div>
		<div data-ng-if="showLogStoragePolicy">
			<div class="form-group">
				<label class="col-xs-12 col-md-4 col-lg-4" for="logStoragePolicy"><cv:msg key="header.logStoragePolicy" bundle="clients" /></label>
				<div class="col-xs-12 col-md-8 col-lg-8">
				<select id="logStoragePolicy"
						name="logStoragePolicy" data-ng-model="newStoragePolicies.logBackupStoragePolicy"
						data-ng-options="test.storagePolicyName for test in storagePoliciesList | orderBy:'storagePolicyName' track by test.storagePolicyId"></select>
				</div>
			</div>
		</div>
		</div>
		<!-- // end bootstrap // -->
		<div class="button-container">
			<button id="storagePolicyTemplate_button_#7980" type="button" class="btn btn-default setup-btn--hidden"	data-ng-click="disableStoragePolicyEditor()"><cv:msg key="Cancel" bundle="messages" /></button> 
			<button id="storagePolicyTemplate_button_#5490" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-click="saveStoragePolicy()"><cv:msg key="OK" bundle="messages" /></button> 
		</div>
	</div>
</cv-tile-component>
<cv-tile-component data-ac-id="label_storage-collections" data-title='<cv:msg key="label.storage" bundle="collections"/>' data-ng-if="!hideCopyProperties" loader = "storagePoliciesLoaded">
	<ul class="list-style-secondary" data-ng-class='{error: !storagePolicy.copy.length}' data-ng-if="storagePolicyLoaded">
		<li data-ng-if='storagePolicy' class="group"><span class="pageDetailColumn"><cv:msg key="label.library" bundle="collections" /></span>
			 <span data-ng-if="storagePolicy.copy.length" class="pageDetailColumn" data-ng-bind="storagePolicy.copy[0].library.libraryName"></span>
			 <span data-ng-if="!storagePolicy.copy.length" class="pageDetailColumn"><cv:msg key="label.noRetentionSelected" bundle="collections" /></span></li>
		<li data-ng-if='storagePolicy' class="group"><span class="pageDetailColumn"><cv:msg key="label.retentionPeriod" bundle="collections" /></span>
                         <div data-ng-if="storagePolicy.copy.length" ><span data-ng-if="storagePolicy.copy[0].retentionRules.retainBackupDataForDays !=-1" class="pageDetailColumn basic-text-color" data-ng-bind="storagePolicy.copy[0].retentionRules.retainBackupDataForDays | days:'<cv:msg key="label.days" bundle="collections" />'"> </span>
                         <span data-ng-if="storagePolicy.copy[0].retentionRules.retainBackupDataForDays ==-1" class="pageDetailColumn basic-text-color"><cv:msg key="label.infinite" bundle="collections" /></span></div>
                         <span data-ng-if="!storagePolicy.copy.length" class="pageDetailColumn"><cv:msg key="label.noLibSelected" bundle="collections" /></span></li>
	</ul>
	<div class="page-details-box-links">
		<a href=""
			data-ng-click="showEditStorageDialog(storagePolicy, storagePolicy.copy[0].library.libraryId, storagePolicy.copy[0].retentionRules.retainBackupDataForDays)" data-ng-if="editStorageEnabled"><cv:msg key="action.edit" bundle="collections" />
		</a>
	</div>
</cv-tile-component>