<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
	<cv:cvMessages bundle="localization.oracle"></cv:cvMessages>
	<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.scheduleJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.schedule"></cv:cvMessages>
	<cv:cvMessages bundle="localization.job"></cv:cvMessages>
	<cv:cvMessages bundle="localization.fs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collectionsJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.users"></cv:cvMessages>
	<cv:cvMessages bundle="localization.sqlserver"></cv:cvMessages>
	<cv:cvMessages bundle="localization.capps"></cv:cvMessages>
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.storage"></cv:cvMessages>
	<cv:cvMessages bundle="localization.dbs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.archiving"></cv:cvMessages>
	<cv:cvMessages bundle="localization.nas"></cv:cvMessages>
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
	<cv:cvMessages bundle="localization.sharepoint"></cv:cvMessages>
	<cv:cvMessages bundle="localization.search"></cv:cvMessages>
	<cv:cvEnum name="App.ClientAppType"></cv:cvEnum>
</script>
<!-- <h1 class="page-title">
	<span data-ng-bind="subclientDetails.subClientEntity.subclientName"	data-ng-show="serverMessage.message==''"></span>
	<span data-ng-bind="serverMessage.message"></span>
</h1> -->
<div class="row">
	<div class="col-xs-12 flex-detail-header">
		<span>
			<cv-changename obj="changeNameObj" service-method="renameSubclient.do" class="float-left" data-ng-show="!isNotesDbTransactionLogsSubClient(subclientDetails.subClientEntity)"></cv-changename>
			<h1 class="float-left" data-ng-if="isNotesDbTransactionLogsSubClient(subclientDetails.subClientEntity)" data-ng-bind="subclientDetails.subClientEntity.subclientName"></h1>
		</span>
		<span class="flex-page-actions">
			<cv-search-box  ng-if="searchModel" query="searchModel.query" on-search="onSubclientSearch(query, fields)" custom-class="searchModel.customClass" field-defs="searchModel.fieldDefs"></cv-search-box>
		</span>
	</div>
</div>
<div class="row">
	<div class="col-xs-12">
		<span class="server-message {{serverMessage.type}}" data-ng-bind="serverMessage.message" ></span>
	</div>
</div>
<!-- <cv-tab-nav data-ng-if="fsSolutionState"></cv-tab-nav> -->
<div class="row">
	<div class="col-md-6">
		<cv-tile-component data-ac-id="cappsSubclientDetailsSF-heading_clientGeneral-clients" data-title='<cv:msg key="heading.clientGeneral" bundle="clients" />'  data-loader="subclientDetails" cv-capability="cvCapabilityConfig.general">
			<ul data-ng-if="subclientDetails && subclientDetails.subClientEntity.applicationId != appTypes.CV_APPTYPE_SUBCLIENT_POLICY && (!isCloudApps || isCloudAppsSalesforce)" class="group list-style-secondary">
				<li class="group" data-ng-if="instanceSupported == 'true' && !isNotesDatabase"><span class="pageDetailColumn"><cv:msg key="label.instanceName" bundle="clients" /></span>
					 <span class="pageDetailColumn"	data-ng-bind="subclientDetails.subClientEntity.instanceName"></span></li></span>
				<li class="group" data-ng-if="instanceSupported == 'true' && isNotesDatabase"><span class="pageDetailColumn"><cv:msg key="label.notesdb.partitionName" bundle="notesDatabase" /></span>
					 <span class="pageDetailColumn"	data-ng-bind="(subclientDetails.subClientEntity.instanceName | extractNotesDbInstanceName)"></span></li></span>
				<li class="group" data-ng-if="backupSetSupported == 'true' "><span class="pageDetailColumn"><cv:msg key="label.backupSetName" bundle="clients" /></span>
					 <span class="pageDetailColumn"	data-ng-bind="subclientDetails.subClientEntity.backupsetName"></span></li></span>
				<cv-activity-control label='<cv:msg key="label.backupEnabled" bundle="clients" />' help-text='<cv:msg key="info.help.dataBackup" bundle="clients"/>' ac-params="subclientDetails.subClientEntity" enable-backup="subclientDetails.commonProperties.enableBackup" enable-delay ="subclientDetails.commonProperties.enableBackupAfterDelay" delay-time="subclientDetails.commonProperties.enableBackupAtDateTime"> </cv-activity-control>
				<li data-ng-show="planName" class="group">
					<cv-plan-select show-none="true" show-edit="(!hasAssociatedPolicy || subclientDetails.planEntity.planId) && !isDeConfigured" is-archival="archivalSolutionState" plan-entity="subclientDetails.planEntity" entity="subclientDetails.subClientEntity" ng-if="subclientDetails.subClientEntity && _clientLoaded" edit-in-modal="editPlanInline" cluster-type="clusterType"></cv-plan-select>
				</li>
				<li class="group" data-ng-show="isIBMIDRSubclient">
					<span class="pageDetailColumn float-right optional-text">
						<cv:msg key="helptext.plan.DRSubclientExceptionOnSubclient" bundle="servers"/>
					</span>
				</li>
				<li class="group" data-ng-if="subclientDetails.planEntity.planId && hasAssociatedPolicy && !archivalSolutionState"><span class="pageDetailColumn"><cv:msg key="label.backupContentFromPlan" bundle="fs" /></span>
					<span class="pageDetailColumn client-readiness">
						<toggle-control  status="subclientDetails.useLocalContent ? 'disabled-activity' : 'enabled-activity'" ng-click="editContentFromPlan()">
						</toggle-control>
					</span>
				</li>
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.column.status" bundle="job" /></span>
					<span  data-ng-if="subclientDetails.commonProperties.slaStatus != 5"ng-class="{'green-font': subclientDetails.commonProperties.slaStatus === 1, 'red-font': subclientDetails.commonProperties.slaStatus === 2}">
						<cv-help-text help-label="{{subclientDetails.status}}" help-text="subclientDetails.statusHelpText"></cv-help-text>
					</span>
					<span data-ng-if="subclientDetails.commonProperties.slaStatus === 5" class="orange-font">
						<span>{{subclientDetails.status}}</span>
						<cv-call-out html-template="slaRefreshCategoryDescription" actions="slaCallOutActions" call-out-controls="slaCallOutControls"></cv-call-out>
					</span>
					<span data-ng-if="subclientDetails.slaConfigValueStr" class="parenthetical-text sla-status-config-value" data-ng-bind="subclientDetails.slaConfigValueStr"></span>
				</li>
				<li class="group"><span class="pageDetailColumn">
					<span ng-if="archivalSolutionState"><cv:msg key="label.lastSuccessfulArchive" bundle="archiving" /></span>
					<span ng-if="!archivalSolutionState"><cv:msg key="label.lastSuccessfulBackup" bundle="fs" /></span></span>
					<span data-ng-if="subclientDetails.commonProperties.lastBackupTime" class="pageDetailColumn" data-ng-bind="subclientDetails.commonProperties.lastBackupTime | customDateTime"></span>
					<span data-ng-if="!subclientDetails.commonProperties.lastBackupTime" class="pageDetailColumn"><cv:msg key="label.neverBackedUp" bundle="serversJs" /></span></li>
				<li class="group"><span class="pageDetailColumn"><span ng-if="archivalSolutionState"><cv:msg key="label.nextArchivingTime" bundle="archiving" /></span><span ng-if="!archivalSolutionState"><cv:msg key="label.nextbackup.time" bundle="collections" /></span></span>
					<span data-ng-if="subclientDetails.commonProperties.nextBackupTime" class="pageDetailColumn" data-ng-bind="subclientDetails.commonProperties.nextBackupTime | customDateTime"></span>
					<span data-ng-if="!subclientDetails.commonProperties.nextBackupTime" class="pageDetailColumn"><cv:msg key="label.notAvailable" bundle="servers" /></span></li>
				<li class="group"><span class="pageDetailColumn"><span ng-if="archivalSolutionState"><cv:msg key="label.firstArchivalTime" bundle="archiving" /></span><span ng-if="!archivalSolutionState"><cv:msg key="label.firstBackupTime" bundle="clients" /></span></span>
					<span  data-ng-if="subclientDetails.commonProperties.firstBackupTime" class="pageDetailColumn" data-ng-bind="subclientDetails.commonProperties.firstBackupTime | customDateTime"></span>
					<span data-ng-if="!subclientDetails.commonProperties.firstBackupTime" class="pageDetailColumn"><cv:msg key="label.neverBackedUp" bundle="serversJs" /></span></li>
				<li data-ng-if="showLastBackup" class="group"><span class="pageDetailColumn">
					<span ng-if="archivalSolutionState"><cv:msg key="label.lastArchive" bundle="archiving" /></span>
					<span ng-if="!archivalSolutionState"><cv:msg key="label.lastBackup" bundle="fs" /></span> </span>
					<span data-ng-if="subclientDetails.commonProperties.lastBackupJobInfo" class="pageDetailColumn">
					<span  data-ng-bind="subclientDetails.commonProperties.lastBackupJobInfo.endTime.time | customDateTime"></span>
					<cv-call-out html-template="getLastBackupTemplate" actions="callOutActions"></cv-call-out>
					</span>
					<span data-ng-if="!subclientDetails.commonProperties.lastBackupJobInfo" class="pageDetailColumn"><cv:msg key="label.neverBackedUp" bundle="serversJs" /></span></li>
				<li class="group"><span class="pageDetailColumn"><span ng-if="archivalSolutionState"><cv:msg key="label.lastArchivingSize" bundle="archiving" /></span><span ng-if="!archivalSolutionState"><cv:msg key="label.lastbackup.size" bundle="collections" /></span></span>
					<span class="pageDetailColumn" data-ng-bind="subclientDetails.commonProperties.lastBackupSize | capacity"></span></li>
				<!-- <li class="group">
					<span class="pageDetailColumn"><cv-help-text help-label="{{'label.column.backupSize' | cvLoc}}"
						help-text="'label.totalbackup.text' | cvLoc" /></span>
					<span class="pageDetailColumn"	data-ng-bind="subclientDetails.commonProperties.totalBackupSize	| capacity"></span>
				</li> -->
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.savingsPercentage" bundle="job" /></span>
					<span  class="pageDetailColumn">
						<span data-ng-bind="subclientDetails.commonProperties.dedupeRatio"></span>
						<cv-call-out html-template="savingsPercentageCallOutTemplate"></cv-call-out>
					</span>
				</li>
				<li class="group" data-ng-if="!subclientDetails.commonProperties.isSubclientUninstalled"><cv-subclient-encryption-status data-subclient-entity="genericEntity" data-encryption-status="subclientDetails.commonProperties.encryptionFlag">
					</cv-subclient-encryption-status></li>
				<li class="group" data-ng-if="isOneTouchRecoverySupported">
					<span class="pageDetailColumn"><cv:msg key="label.oneTouchRecovery" bundle="clients" />
						<cv-help-component help-text="<cv:msg key="label.oneTouchRecoveryHelp" bundle="clients" />"></cv-help-component>
					</span>
					<span class="pageDetailColumn">
						<toggle-control
							status="subclientDetails.fsSubClientProp.oneTouchSubclient?'enabled-activity':'disabled-activity'"
							data-ng-click="toggleOneTouchRecovery()"
							title='<cv:msg key="label.enableDisable" bundle="messages"/>&nbsp;<cv:msg key="label.oneTouchRecovery" bundle="clients"/>'>
						</toggle-control>
					</span>
				</li>
				<cv-capps-capacity data-ng-if="isCloudAppsSalesforce && subclientDetails" subclient-details="subclientDetails" type="'STREAMS'" validation-message="<cv:msg key='error.numberBackupStreams' bundle='oracle' />" ></cv-capps-capacity>

			</ul>
			<ul data-ng-if="subclientDetails && isCloudApps && !isCloudAppsSalesforce" class="list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.clientName" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="agentDetails.idaEntity.clientName"></span></li>
				<li class="group"><span class="pageDetailColumn"><cv:msg key="header.installDate" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="(agentDetails && agentDetails.AgentProperties.installDate*1000 | date:'medium')"></span></li>
				<li class="group"><span class="pageDetailColumn"><cv:msg key="header.Version" bundle="clients" /></span>
					<span class="pageDetailColumn" data-ng-bind="agentDetails.AgentProperties.agentVersion | getVersionString"></span></li>
				<cv-capps-capacity data-ng-if="isAmazonDynamoDb && subclientDetails" subclient-details="subclientDetails" type="'READ'"></cv-capps-capacity>

			</ul>
			<ul data-ng-if="subclientDetails && subclientDetails.subClientEntity.applicationId == appTypes.CV_APPTYPE_SUBCLIENT_POLICY" class="list-style-secondary">
				<li class="group"><span class="pageDetailColumn"><cv:msg key="label.subclientPolicyName" bundle="collections" /></span>
					<span class="pageDetailColumn" data-ng-bind="subclientDetails.subClientEntity.backupsetName"></span></li>
			</ul>
		</cv-tile-component>
		<cv-tile-component data-ac-id="ibmiDRPropertiesTile" data-title="<cv:msg key='header.DRConfiguration' bundle='clients' />" loader="subclientDetails" enable-accordion="true" ng-if="isIBMIDRSubclient">
			<ul  class="list-style-secondary">
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.backupMaxTime" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.backupMaxTime"></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.notifyuser" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.notifyuser ? ('enabled' | cvLoc) : ('disabled' | cvLoc)"></span>
				</li>
				<li class="group" ng-if="subclientDetails.fsSubClientProp.ibmiSubclientprop.notifyuser">
					<span class="pageDetailColumn"><cv:msg key="label.notifyDelay" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.notifyDelay >= 0 ? subclientDetails.fsSubClientProp.ibmiSubclientprop.notifyDelay : ('label.notSet' | cvLoc)"></span>
				</li>
				<li class="group" ng-if="subclientDetails.fsSubClientProp.ibmiSubclientprop.notifyuser">
					<span class="pageDetailColumn"><cv:msg key="label.notifyMessage" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.notifyMessage"></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.DVDFileFormat" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.DVDImageFileFormat"></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.SRBootServerDir" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.SRBootServerDir"></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.commandRestrictedState" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.userCommand || ('label.notSet' | cvLoc)"></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.userProgram" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.userProgram || ('label.notSet' | cvLoc)"></span>
				</li>
				<li class="group">
					<span class="pageDetailColumn"><cv:msg key="label.userIPLProgram" bundle="clients"/></span>
					<span class="pageDetailColumn" ng-bind="subclientDetails.fsSubClientProp.ibmiSubclientprop.userIPLProgram || ('label.notSet' | cvLoc)"></span>
				</li>
			</ul>
			<div class="page-details-box-links"><a href="" data-ng-click="openDRConfigurationModal()"><cv:msg key="action.edit" bundle="settingsJs"/></a></div>
		</cv-tile-component>
		 <cv-snap-shot-engine-tile data-ng-if="subclientDetails && clientDetails && showSnapEngine && forFSWaitClientDetailsToLoad && !archivalSolutionState" subclient-details="subclientDetails" block-level="showBlockLevelBackup" client-details="clientDetails"></cv-snap-shot-engine-tile>
		 <cv-tile-component ng-if="archivalSolutionState" data-ac-id="label_archivingRules" class="bootstrap-wrapper archiving-rules" data-loader="archivingInfo.diskCleanupRules" data-override-text="arcRulesOverrideText" data-title="<cv:msg key="label.archivingRules" bundle="archiving"/>">
		 	<ul class="list-style-secondary">
				<li data-ng-if="archiveDatacubeQueryPresent && !activateURLCriteriaPresent"><cv:msg key="label.customArchiveRulesApplied" bundle="archiving" /></li>
				<li class="group" data-ng-if="subclientDetails.planEntity.planId && archivalSolutionState && !archiveDatacubeQueryPresent"><span class="pageDetailColumn"><cv:msg key="label.archivingRulesDerivedFromPlan" bundle="archiving" /></span>
					<span class="pageDetailColumn client-readiness">
						<toggle-control  status="subclientDetails.useLocalArchivalRules ? 'disabled-activity' : 'enabled-activity'" ng-click="inheritArchivingRulesFromPlan()" disabled="!subclientDetails.useLocalArchivalRules">
						</toggle-control>
					</span>
				</li>
			 </ul>
			 <cv-archiving-rules cv-enable-edit="(!hasAssociatedPolicy || subclientDetails.planEntity.planId) && !isDeConfigured" cv-disk-cleanup-rules="archivingInfo.diskCleanupRules" cv-entity="subclientDetails.subClientEntity" cv-is-inherit="!subclientDetails.useLocalArchivalRules" ng-if="archivingInfo.diskCleanupRules"></cv-archiving-rules>
		</cv-tile-component>
		<cv-tile-component data-ng-if="isMeditechSystem" data-ac-id="subclientDetails-label_Meditech_System" data-title='<cv:msg key="label.meditechSystem" bundle="dr"/>' loader="subclientDetails">
            <ul class="list-style-secondary">
                <li class="group">
                    <span class="pageDetailColumn"><cv:msg key="label.systemName" bundle="dr" /></span>
                    <span class="pageDetailColumn" data-ng-bind="subclientDetails.hcSubclientProp.meditechSystems[0].medicalSystemName"></span>
                </li>
                <li class="group">
                    <span class="pageDetailColumn"><cv:msg key="label.masterNode" bundle="dr" /></span>
                    <span class="pageDetailColumn" data-ng-bind="subclientDetails.hcSubclientProp.meditechSystems[0].listenerIP"></span>
                </li>
                <li class="group">
                    <span class="pageDetailColumn"><cv:msg key="label.masterNodePort" bundle="dr" /></span>
                    <span class="pageDetailColumn" data-ng-bind="subclientDetails.hcSubclientProp.meditechSystems[0].listenerPort"></span>
                </li>
                <li class="group">
                    <span class="pageDetailColumn"><cv:msg key="label.userName" bundle="dr" /></span>
                    <span class="pageDetailColumn" data-ng-bind="subclientDetails.hcSubclientProp.meditechSystems[0].userAccount.userName"></span>
                </li>
                <li class="group">
                    <span class="pageDetailColumn"><cv:msg key="label.mbfTimeout" bundle="dr" /></span>
                    <span class="pageDetailColumn" data-ng-bind="subclientDetails.hcSubclientProp.meditechSystems[0].timeout"></span>
                </li>
            </ul>
            <div class="page-details-box-links">
                <a href="" data-ng-click="openMeditechSystemModel()"><cv:msg key="action.edit" bundle="collections" /></a>
            </div>
        </cv-tile-component>
	</div>
	<div class="col-md-6">
		<cv-backup-history entity="backupEntity" on-restore="performRestore(job, fromTimeStr, toTimeStr)" ng-if="showBackupHistoryCalendarView() && isSubclientRestoreApplicable() && subclientDetails && subclientDetails.subClientEntity" show-clone="showInstantClone" on-clone="performInstantClone(job, fromTimeStr, toTimeStr)"></cv-backup-history>
		<cv-tile-component data-ac-id="cappsSubclientDetailsSF-header_content-collections" data-ng-if="subclientDetails && subclientDetails.subClientEntity.applicationId != 78 && subclientDetails.subClientEntity.applicationId != 22 && !isCloudApps && !isIBMIDRSubclient && !isActiveDirectory && !isNotesDatabase && !isIBMISubclient && !isMeditechSystem" data-title='<cv:msg key="header.content" bundle="collections"/>' data-min-height="true">

			<span data-ng-if="contentEntityDetails && !contentEntityDetails.length"><p class="info-place-holder"><cv:msg key="label.noContent" bundle="clients" /></p></span>
			<p  data-ng-if="isSubclientEntity &&  hasAssociatedPolicy && !subclientDetails.planEntity.planId" class="parenthetical-text  margin-top-5"><cv:msg key="label.contentFromPolicy" bundle="clients" /></p>
			<p  data-ng-if="hasAssociatedPolicy && subclientDetails.planEntity.planId && subclientDetails.useLocalContent && !archivalSolutionState" class="parenthetical-text  margin-top-5"><cv:msg key="label.userDefined" bundle="fs" /></p>
			<p  data-ng-if="!isNasOnlySolution && !hasAssociatedPolicy" class="parenthetical-text  margin-top-5"><cv:msg key="label.userDefined" bundle="fs" /></p>
			<p  data-ng-if="hasAssociatedPolicy && subclientDetails.planEntity.planId && !subclientDetails.useLocalContent" class="parenthetical-text  margin-top-5"><cv:msg key="label.inheritedFromPlan" bundle="clients"/></p>
				<ul class="list-style__row group " data-ng-repeat="contentEntity in contentEntityDetails">
				<li> {{formatContent(contentEntity.value)}}<span data-ng-if="contentEntity.value == '\\'" class='laptop-content-help-text less-padding'> - &nbsp;<cv:msg key='label.allContents' bundle='profiles'/></span> </li>
				</ul>
				<div data-ng-if="!isSubclientEntity || !hasAssociatedPolicy || subclientDetails.planEntity.planId" class="page-details-box-links"><a  data-ng-click="manageSubclientContent()"><cv:msg key="action.edit" bundle="settingsJs"/></a></div>
		</cv-tile-component>
		<cv-tile-component data-ac-id="cappsSubclientDetailsSF-heading_contentIndexing" data-ng-if="subclientDetails.subClientEntity && enableDCPlanSchedule" data-title='<cv:msg key="label.contentIndexing" bundle="ediscovery" />' data-loader="subclientDetails">
			<p data-ng-if="ciFromCommcell" class="parenthetical-text margin-top-5 margin-bottom-0"><cv:msg key="info.ciFromCommcell" bundle="ediscovery"/></p>
			<ul class="list-style-secondary">
				<li data-ng-if="!ciFromCommcell && dcPlanName" class="group">
					<cv-plan-select is-dc-plan="true" show-none="true" show-edit="!isDeConfigured" is-archival="archivalSolutionState" plan-entity="subclientDetails.dcPlanEntity" entity="subclientDetails.subClientEntity" ng-if="_clientLoaded" edit-in-modal="true"></cv-plan-select>
				</li>
				<li data-ng-if="ciFromCommcell" class="group">
					<span><cv:msg key="label.enabled" bundle="ediscovery"/></span>
				</li>
			</ul>
		</cv-tile-component>
		<cv-tile-component data-ac-id="cappsSubclientDetailsSF-header_content-collections" data-ng-show="isIBMISubclient && !isIBMIDRSubclient"
		data-title='<cv:msg key="header.content" bundle="collections"/>' data-min-height="true">
		<span data-ng-if="contentEntityDetails && !contentEntityDetails.length">
			<p class="info-place-holder">
				<cv:msg key="label.noContent" bundle="clients" />
			</p>
		</span>
		<ul data-ng-if="!(subclientDetails.fsSubClientProp && subclientDetails.fsSubClientProp.customSubclientFlag===false && subclientDetails.fsSubClientProp.customSubclientContentFlags)"
			class="list-style__row group " data-ng-repeat="contentEntity in contentEntityDetails">
			<li> {{contentEntity.value}}
				<span data-ng-if="contentEntity.value == '\\'" class='laptop-content-help-text less-padding'> - &nbsp;
					<cv:msg key='label.allContents' bundle='profiles' />
				</span>
			</li>
		</ul>
			<div data-ng-if="subclientDetails.fsSubClientProp && subclientDetails.fsSubClientProp.customSubclientFlag===false && subclientDetails.fsSubClientProp.customSubclientContentFlags">
			<ul data-ng-if="showIbmiItem(ibmiInputItem.customSubclientContentFlags,subclientDetails.fsSubClientProp.customSubclientContentFlags)"
				data-ng-repeat="ibmiInputItem in ibmiInputs.subclientContentList" class="list-style__row group ">
					<li data-ng-bind-html="ibmiInputItem.label"></li>
				</ul>
			</div>
		<div class="page-details-box-links">
			<a data-ng-click="manageSubclientContent()">
				<cv:msg key="action.edit" bundle="settingsJs" />
			</a>
		</div>
	</cv-tile-component>
		<cv-capps-content-tile data-ng-if="isAmazonDynamoDb || isCloudAppsSalesforce" subclient-id="subclientId"></cv-capps-content-tile>
		<prepost-commands-tile ng-if="subclientDetails && osId && !isNasOnlySolution && !isClusterTypeFileSystem && (!archivalSolutionState || (archivalSolutionState && !isNasContentGroup))" subclient-details="subclientDetails" subclient-id="subclientId" application-id="applicationIdForPrepost" os-id="osId" client-id="clientIdForPrepost"></prepost-commands-tile>
		<cv-tile-component data-ac-id="spbackupStreams" data-ng-if="isOffice365" data-title='<cv:msg key="label.infrastrutureSetting" bundle="sharepoint" />'>
				<ul class="list-style-secondary">
						<!--BACKUP STREAMS-->
						<li id="backupStreams" class="group" data-ng-if="showBackupStreams">
							<span class="pageDetailColumn"><cv:msg key="label.dataBackupStreams" bundle="capps" /></span>
							<span class="pageDetailColumn">
								<span data-ng-bind="maxBackupStreams"> </span>
								<span class="float-right tile-content-link" >
									<a data-ng-click="editBackupStreams(true)">
										<cv:msg key="label.edit" bundle="clients" />
									</a>
								</span>
							</span>
						</li>
						<li id="editBackupStreams" class="group"  data-ng-if="!showBackupStreams">
							<span class="pageDetailColumn"><cv:msg key="label.dataBackupStreams" bundle="capps"/></span>
							<span class="pageDetailColumn inline-editor">
								<div class="inline-editor-input">
									<input class="half-width" type="number" min=2 max="9999" id="maxStream" data-ng-model="maxBackupStreams">
								</div>
								<span class="inline-editor-buttons">
									<a class="inline-editor-button"  ng-click="updateBackupStreams(maxBackupStreams)"><span class="k-icon k-i-check"></span></a>
									<a class="inline-editor-button"   ng-click="editBackupStreams(false)"><span class="k-icon k-i-x"></span></a>
								</span>
							</span>
							<div class="help-block margin-top-10" data-ng-show="errorMaxStreams"> <cv:msg key="error.max.streams.that.can.be.used" bundle="sharepoint" /></div>
						</li>
						<!--BACKUP STREAMS-->
				</ul>
		</cv-tile-component>
		<cv-tile-component  ng-if="isNasContentGroup && !isNasOnlySolution" data-ac-id="subclientDetails-label_proxy-servers" class="failedproxy" data-title='<cv:msg key="label.accessNodes" bundle="servers"/>' min-height="true" edit-text="reorderHelpText">

			<div id="scroll-box"  class="limit-tile-component-height">
				<ul class="list-style__row group"  data-ng-if="subclientDetails.fsSubClientProp.backupConfiguration.backupDataAccessNodes && subclientDetails.fsSubClientProp.backupConfiguration.backupDataAccessNodes.length > 0">
					<li class="group" data-ng-repeat="proxy in subclientDetails.fsSubClientProp.backupConfiguration.backupDataAccessNodes">
						<span data-ng-if="proxy.clientId && proxy.clientName">
							<span data-ng-if="proxy.clientName" title="{{proxy.clientName}}" ng-bind="proxy.clientName"></span>
							<span data-ng-if="proxy.clientGroupName" title="proxy.clientGroupName">{{proxy.clientGroupName}}
								<span class="parenthetical-text"><cv:msg key="indicator.group" bundle="collections"/></span>
							</span>
						</span>
					</li>
				</ul>
				<ul  data-ng-if="!subclientDetails.fsSubClientProp.backupConfiguration.backupDataAccessNodes">
					<li>
						<span class="pageDetailColumn full-width">
							<p class="info-place-holder"><cv:msg key="label.noProxyAdded" bundle="nas"/></p>
						</span>
					</li>
				</ul>
			</div>
			<div class="page-details-box-links" ng-show="showNasEditAccesnodeOption">
				<a href="" data-ng-click="showEditProxy()"><cv:msg key="action.edit" bundle="collections" /></a>
			</div>
		</cv-tile-component>
		<cv-accessnode-tile data-ng-if="isClusterTypeFileSystem ||(isNasOnlySolution && showNasEditAccesnodeOption)" data-accessnodeoptions="accessNodeOptions" />
		<!--Block level backup tile -->
		<cv-block-level-backup-tile data-ng-if="subclientDetails && forFSWaitClientDetailsToLoad && showBlockLevelBackup" subclient-details="subclientDetails" qsnap-installed="isQsnapInstalled" media-agent-installed="isMA"></cv-block-level-backup-tile>
	</div>
</div>
