<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.schedule"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1>
		<cv:msg key="label.addServerPlan" bundle="profiles"/>
		<cv-help-component help-text="<cv:msg key="label.addServerPlanHelpText" bundle="profiles"/>"></cv-help-component>
	</h1>
</div>
<div class="setup-content" data-ng-controller="createProfileController"  >
	<p  class="{{serverConfigMessage.type}} serverMessage">{{serverConfigMessage.message}}</p>
	<a data-ng-click="changeConfig()" data-ng-show="formConfig.hide"><cv:msg key="label.CreateNewPlan" bundle="profiles"/></a>
	<cv-plan-creation-messages  data-ng-if="showMessagesLoaded"show-messages=showMessages></cv-plan-creation-messages>
	<form name="addServerPLanForm" data-cv-submit="addPlanFromAcSetup()" novalidate autocomplete="off" data-ng-show="showPlanCreationForm && !formConfig.hide"></form>
	  <uib-accordion close-others="true" class="text-left">
		    <div uib-accordion-group is-open="status.goldOpen" >
		   	 <uib-accordion-heading>
		        <cv:msg key="label.goldPlanTitle" bundle="profiles"/><i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': status.goldOpen, 'glyphicon-chevron-right': !status.goldOpen}"></i>
		      </uib-accordion-heading>
		      <!-- <ng-include src="addServerPlanTemplate"></ng-include> -->
		      <ac-setup-plans id="gold"
		      				  ac-setup-plan="acSetupPlan"
		      				  show-plan-skip="showPlanSkip"
		      				  plan-sub-type="planSubType"
		      				  global-template="globalTemplateGold"
		      				  added-schedules="addedSchedulesGold"
		      				  storage-pools="storagePoolsGold"
		      				  general-setup-message="generalSetupMessageGold"
		      				  disable-next="goldStatus.disableNext"
		      ></ac-setup-plans>
		    </div>
		    <div uib-accordion-group is-open="status.silverOpen">
		      <uib-accordion-heading>
		       <cv:msg key="label.silverPlanTitle" bundle="profiles"/> <i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': status.silverOpen, 'glyphicon-chevron-right': !status.silverOpen}"></i>
		      </uib-accordion-heading>
		     <!--  <ng-include src="addServerPlanTemplate"></ng-include> -->
		     <ac-setup-plans  id="silver"
		      				  ac-setup-plan="acSetupPlan"
		      				  show-plan-skip="showPlanSkip"
		      				  plan-sub-type="planSubType"
		      				  global-template="globalTemplateSilver"
		      				  added-schedules="addedSchedulesSilver"
		      				  storage-pools="storagePoolsSilver"
		      				  general-setup-message="generalSetupMessageSilver"
		      				  disable-next="silverStatus.disableNext"
		      ></ac-setup-plans>
		    </div>
		    <div uib-accordion-group is-open="status.bronzeOpen">
		      <uib-accordion-heading>
		       <cv:msg key="label.bronzePlanTitle" bundle="profiles"/> <i class="pull-right glyphicon" data-ng-class="{'glyphicon-chevron-down': status.bronzeOpen, 'glyphicon-chevron-right': !status.bronzeOpen}"></i>
		      </uib-accordion-heading>
		      <!-- <ng-include src="addServerPlanTemplate"></ng-include> -->
		      <ac-setup-plans id="bronze"
		      				  ac-setup-plan="acSetupPlan"
		      				  show-plan-skip="showPlanSkip"
		      				  plan-sub-type="planSubType"
		      				  global-template="globalTemplateBronze"
		      				  added-schedules="addedSchedulesBronze"
		      				  storage-pools="storagePoolsBronze"
		      				  general-setup-message="generalSetupMessageBronze"
		      				  disable-next="bronzeStatus.disableNext"
		      ></ac-setup-plans>
		    </div>
	  </uib-accordion>
	  <div class="button-container" >
			<button id="addServersSetupPlan_button_#8386" type="button" class="btn btn-default cvBusyOnAjax" data-ng-if="showPlanSkip" data-ng-click="skip()"><cv:msg key="action.skip" bundle="profiles"/></button> 
			<button id="addServersSetupPlan_button_#2651" type="submit" class="btn btn-primary cvBusyOnAjax" data-ng-disabled="disableNext || goldStatus.disableNext || silverStatus.disableNext || bronzeStatus.disableNext"><cv:msg key="action.save" bundle="profiles"/></button> 
	  </div>
	</form>
	<div class="button-container centered" data-ng-show="formConfig.hide">
			<button id="addServersSetupPlan_button_#8741" type="button" class="btn btn-default cvBusyOnAjax skip-btn--hidden" data-ng-click="skip()"><cv:msg key="Continue" bundle="messages" /></button> 
	</div>
</div>