<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1><cv:msg bundle="profiles" key="label.archivingRules"/></h1>
</div>
<div class="setup-content rules">
	<div class="{{editArchivingRulesMessage.type}} serverMessage">{{editArchivingRulesMessage.message}}</div>
	<form id="archivingRules-form" cv-hide-api name="archivingRulesForm" class="schedules-form" data-cv-submit="addArchivingRules()" novalidate autocomplete="off">
	 <%-- <div class="modal-wrapper">
			<input id="enableArchiving" type="checkbox" name="enableArchiving" value="enableArchiving" data-ng-model="archivingRules.enableArchivingWithRules" />
			<label for="enableArchiving"><cv:msg bundle="profiles" key="label.enableArchive"/></label>
	</div> --%> 
	
	<div class="modal-wrapper smaller-inline">
			<label for="startCleanDisk" class="label"><cv:msg key="label.startCleanDisk" bundle="profiles"/></label>
			<div class="inline-wrapper">
				<div>
					<input class="large-width" type="number" min="0" max="100" name="startCleanDisk" id="startCleanDisk" data-ng-model="archivingRules.startCleaningIfLessThan"/>&nbsp;<label for="startCleanDisk" class="inline-label"><cv:msg key="label.free" bundle="profiles" /></label>
					<span class="help-block" style="top:35px" data-ng-show="cv.archivingRulesForm.needsAttention(archivingRulesForm.startCleanDisk)"><cv:msg key="error.percentage" bundle="profiles"/></span>
				</div>
			</div>
	</div>
	
	<div class="modal-wrapper smaller-inline">
			<label for="stopCleanDisk" class="label"><cv:msg key="label.stopCleanDisk" bundle="profiles"/></label>
			<div class="inline-wrapper">
				<div>
					<input class="large-width" type="number" min="0" max="100" name="stopCleanDisk" id="stopCleanDisk" data-ng-model="archivingRules.stopCleaningIfupto"/>&nbsp;<label for="stopCleanDisk" class="inline-label"><cv:msg key="label.free" bundle="profiles" /></label>
					<span class="help-block" style="top:70px" data-ng-show="cv.archivingRulesForm.needsAttention(archivingRulesForm.stopCleanDisk)"><cv:msg key="error.percentage" bundle="profiles"/></span>
				</div>
			</div>
	</div>
	
	<div>
		<h4><cv:msg key="label.cleanUpItems" bundle="profiles"/></h4>
		<div class="modal-wrapper smaller-inline">
			<label for="fileAccessTime" class="label"><cv:msg key="label.fileAccessTime" bundle="profiles"/></label>
			<div class="inline-wrapper">
				<div>
					<input class="large-width" type="number"  min="0" name="fileAccessTime" id="fileAccessTime" data-ng-model="archivingRules.fileAccessTimeOlderThan"/>&nbsp;<label for="fileAccessTime" class="inline-label"><cv:msg key="label.days" bundle="profiles" /></label>
				</div>
			</div>
		</div>	
		<div class="modal-wrapper smaller-inline">
			<label for="fileModifiedTime" class="label"><cv:msg key="label.fileModifiedTime" bundle="profiles"/></label>
			<div class="inline-wrapper">
				<div>
					<input class="large-width" type="number"  min="0" name="fileModifiedTime" id="fileModifiedTime" data-ng-model="archivingRules.fileModifiedTimeOlderThan"/>&nbsp;<label for="fileModifiedTime" class="inline-label"><cv:msg key="label.days" bundle="profiles" /></label>
				</div>
			</div>
		</div>	
		<div class="modal-wrapper smaller-inline">
			<label for="fileCreatedTime" class="label"><cv:msg key="label.fileCreatedTime" bundle="profiles"/></label>
			<div class="inline-wrapper">
				<div>
					<input class="large-width" type="number"  min="0" name="fileCreatedTime" id="fileCreatedTime" data-ng-model="archivingRules.fileCreatedTimeOlderThan"/>&nbsp;<label for="fileCreatedTime" class="inline-label"><cv:msg key="label.days" bundle="profiles" /></label>
				</div>
			</div>
		</div>	
		<div class="modal-wrapper smaller-inline">
			<label for="archiveFileSize" class="label"><cv:msg key="label.fileSize" bundle="profiles"/></label>
			<div class="inline-wrapper">
				<div>
					<input class="large-width" type="number"  min="0" name="fileSize" id="archiveFileSize" data-ng-model="archivingRules.fileSizeGreaterThan"/>&nbsp;<label for="archiveFileSize" class="inline-label"><cv:msg key="label.kb" bundle="profiles" /></label>
				</div>
			</div>
		</div>	
		<div class="modal-wrapper smaller-inline">
			<label for="maxFileSize" class="label"><cv:msg key="label.maxFileSize" bundle="profiles"/></label>
			<div class="inline-wrapper">
				<div>
					<input class="large-width" type="number"  min="0" name="maxFileSize" id="maxFileSize" data-ng-model="archivingRules.maximumFileSize"/>&nbsp;<label for="maxFileSize" class="inline-label"><cv:msg key="label.kb" bundle="profiles" /></label>
				</div>
			</div>
		</div>	
		
		<div class="modal-wrapper">
			<input id="archiveReadOnlyFile" type="checkbox" name="archiveReadOnlyFile" value="archiveReadOnlyFile" data-ng-model="archivingRules.archiveReadOnlyFiles" />
			<label for="archiveReadOnlyFile"><cv:msg bundle="profiles" key="label.archiveReadOnlyFile"/></label>
		</div>
	</div>
	
	<div>
		<h4><cv:msg key="label.afterArchiving" bundle="profiles"/></h4>
		
		<div class="modal-wrapper">
			<label for="replaceFile" class="label">
				<input id="replaceFile" type="radio" name="replaceFile" value="REPLACE_FILE_WITH_STUB" data-ng-model="archivingRules.afterArchivingRule" />
				<cv:msg key="label.replaceFile" bundle="profiles"/></label>
		</div>
		<div class="modal-wrapper">
			<label for="deleteFile" class="label">
				<input id="deleteFile" type="radio" name="deleteFile" value="DELETE_THE_FILE" data-ng-model="archivingRules.afterArchivingRule" />
				<cv:msg key="label.deleteFile" bundle="profiles"/></label>
		</div>
	
	</div>
	<div class="button-container">
			<button id="archiveRules_button_#2314" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="cancel()"><cv:msg key="action.cancel" bundle="profiles"/></button> 
			<button id="archiveRules_button_#7736" type="submit" class="btn btn-primary cvBusyOnAjax" ><cv:msg key="action.save" bundle="profiles"/></button> 
	</div>
	</form>
 </div>