<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1>
		<span data-ng-if="!eraseDeviceContent"><cv:msg key="label.backupContent" bundle="profiles" /></span>
		<span data-ng-if="eraseDeviceContent"><cv:msg key="label.eraseContent" bundle="devices" /></span>
	</h1>
</div>
<div class="setup-content backup-content"
	data-ng-controller="profileBackupContentController">
	<div class="setup-input-group" data-ng-if="globalTemplate.deriveSettings.definesSubclientWin.overrideEntity !== OVERRIDE_OPTIONS.NOT_ALLOWED">
		<cv-derivable-input-toggle data-ng-if="isDerived" data-model="globalTemplate.deriveSettings.definesSubclientWin.definesEntity"
				class="row" data-toggle-class="col-xs-6 col-sm-5" data-help-text-class="col-xs-6 col-sm-7"
				data-derive-setting="globalTemplate.deriveSettings.definesSubclientWin.overrideEntity">
		</cv-derivable-input-toggle>
	</div>
	<div class="text-center subtext medium-size"
		data-ng-if="(isDerived || deriveDetails.isDerived) && createLaptopPlan && globalTemplate.deriveSettings.definesSubclientWin.overrideEntity === OVERRIDE_OPTIONS.NOT_ALLOWED">
		<span><cv:msg key="label.overrideOptionsHelpText.notAllowed.short" bundle="profiles" /></span>
	</div>
	<div class="serverMessage" data-ng-class="backupContentMessage.type" data-ng-bind="backupContentMessage.message"></div>
	<span class="angular-tab-wrapper margin-top-10"> <uib-tabset justified="true" active="defaultTab">
		<!-- // windows starts // --> <uib-tab heading="Windows" data-ng-if="winScAvailable !== false">
		<fieldset class="toggle-inner-links" data-ng-disabled="disableBackupContentEditing">
			<div id="backup-content-wrapper" data-cv-derivable-input
					data-override-base="forceOverride || !isDerived || globalTemplate.deriveSettings.definesSubclientWin.definesEntity">
				<div class="content-checkboxes">
					<div id="backup-content-folders">
						<div class="content-header clearfix">
							<h4 data-ng-if="!eraseDeviceContent"><cv:msg key="label.contentToBackup" bundle="profiles" /></h4>
							<h4 data-ng-if="eraseDeviceContent"><cv:msg key="label.contentToErase" bundle="devices" /></h4>
							<div class="content-header-actions">
								<span class="page-action-item"> <a href=""
									data-ng-click="addFolder('windows')"><cv:msg key="action.add"
											bundle="profiles" /></a>
								</span>
								<span class="page-action-item" data-ng-hide="windowsFolderSelected.length ===1 && windowsFolderSelected[0] === '\\'"> 
									<a href="" data-ng-click="deleteAll('windows')">
									<span data-ng-if="!eraseDeviceContent"><cv:msg key="label.removeAll" bundle="profiles" /></span>
									<span data-ng-if="eraseDeviceContent"><cv:msg key="label.eraseAll" bundle="devices" /></span></a>
								</span>
							</div>
						</div>
						<div class="peopleInfos ownerInfo">
							<ul class="users-list limit-modal-height">
								<li data-ng-repeat="folder in windowsFolderSelected | orderBy track by $index" title="{{folder | trimFolderName}}">
									<span class="content-library-folder content-library-{{folder | trimFolderName}}" data-ng-class="{'content-library-file' : {{folder | isFolder}} === false}">
										<label for="windows-{{folder}}" class="ellipsis-parent ellipsis-content">
										{{folder | trimFolderName}}<span data-ng-if="folder == '\\'" class='laptop-content-help-text'><cv:msg key='label.allContents' bundle='profiles'/></span>
										</label>
										<span class="delete-row"><a href="" data-ng-click="toggleWindowsFolderSelection(folder)" title="<cv:msg key='label.removeContent' bundle='collectionsJs'/> {{folder | trimFolderName}}"><span class="k-icon k-i-close"></span></a></span>
									</span>
								</li>
							</ul>
						</div>
					</div>
					<div id="exclude-folders">
						<div class="content-header clearfix">
							<h4><cv:msg key="label.excludes" bundle="profiles" /></h4>
							<div class="content-header-actions">
								<span class="page-action-item"> <a href="" data-ng-click="addFolder('windows', true)"><cv:msg key="action.add" bundle="profiles" /></a></span>
								<span class="page-action-item" data-ng-if="windowsExcludeSelected.length"> <a href="" data-ng-click="deleteAll('windows', true)"><cv:msg key="label.removeAll" bundle="profiles" /></a></span>
							</div>
						</div>
						<div class="peopleInfos ownerInfo">
							<ul class="users-list limit-modal-height">
								<li data-ng-repeat="exclude in windowsExcludeSelected | orderBy track by $index"  title="{{exclude}}">
								<span class="content-library-folder content-library-{{exclude | trimFolderName}}" data-ng-class="{'content-library-file' : {{exclude | isFolder}} === false}">
									<label for="windows-{{exclude}}" class="ellipsis-parent ellipsis-content">{{exclude | trimFolderName}} </label>
									<span class="delete-row"><a href="" data-ng-click="toggleWindowsExcludeSelection(exclude)" title="<cv:msg key='label.removeContent' bundle='collectionsJs' /> {{exclude | trimFolderName}}"><span class="k-icon k-i-close"></span></a></span>
								</span>
								</li>
							</ul>
						</div>
					</div>
					<div class="row" data-ng-if="fsPlan || serverPlan">
						<div class="col-xs-12">
							<div class="form-group">
								<input type="checkbox" id="{{id}}backupSystemState"
									data-ng-click="localContentTemplate.contentInfo.windows.backupSystemStateforFullBkpOnly = (!localContentTemplate.contentInfo.windows.backupSystemState ? false : localContentTemplate.contentInfo.windows.backupSystemStateforFullBkpOnly); localContentTemplate.contentInfo.windows.useVSSForSystemState = (!localContentTemplate.contentInfo.windows.backupSystemState ? false : localContentTemplate.contentInfo.windows.useVSSForSystemState);"
									data-ng-model="localContentTemplate.contentInfo.windows.backupSystemState"
									data-ng-true-value="true" data-ng-false-value="false" /> <label
									for="{{id}}backupSystemState">{{'label.backupSystemState'
									| cvLoc}}</label>
							</div>
							<div class="systemstate-options"
								data-ng-disabled="!localContentTemplate.contentInfo.windows.backupSystemState">
								<div class="form-group">
									<input type="checkbox"
										id="{{id}}backupSystemStateforFullBkpOnly"
										data-ng-model="localContentTemplate.contentInfo.windows.backupSystemStateforFullBkpOnly"
										data-ng-true-value="true" data-ng-false-value="false" /> <label
										for="{{id}}backupSystemStateforFullBkpOnly">{{'label.backupSystemStateforFullBkpOnly'
										| cvLoc}}</label>
								</div>
								<div class="form-group">
									<input type="checkbox" id="{{id}}useVSSForSystemState"
										data-ng-model="localContentTemplate.contentInfo.windows.useVSSForSystemState"
										data-ng-true-value="true" data-ng-false-value="false" /> <label
										for="{{id}}useVSSForSystemState">{{'label.useVSSForSystemState'
										| cvLoc}}</label>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="enable-quota-wrapper" data-ng-if="setup">
				<div class="cv-modal-wrapper padding-top-bottom no-left-margin" data-ng-if="setup">
					<div class="cv-inline-wrapper float-none left-margin">
						<div data-ng-disabled="isDerived && createLaptopPlan"
							data-uib-tooltip="<cv:msg key='label.overrideOptionsHelpText.notAllowed.short' bundle='profiles' />"
							data-tooltip-placement="top"
							data-tooltip-enable="isDerived && createLaptopPlan">
							<input data-ng-disabled="isDerived && plan" type="checkbox" data-ng-model="model.isQuotaEnabled" data-ng-click="setQuotaValue()" id="isQuotaEnabled" name="isQuotaEnabled" />
							<label for="isQuotaEnabled" class="inline-label right-margin">
								<cv:msg key="label.isQuotaEnabled" bundle="profiles" />
							</label>
							<input data-ng-disabled="!model.isQuotaEnabled" name="quota" id="quota" type="number" min="1" step="1" data-ng-model="globalTemplate.quota" id="quota" />
							<label for="quota" class="inline-label no-margin">
								<cv:msg key="label.quota.unit" bundle="profiles" />
							</label>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
		</uib-tab> <!-- // windows ends // --> <!-- // mac starts // -->
		<uib-tab heading="Mac" data-ng-if="macScAvailable !== false">
		<fieldset class="toggle-inner-links" data-ng-disabled="disableBackupContentEditing">
			<div id="backup-content-wrapper" data-cv-derivable-input
					data-override-base="forceOverride || !isDerived || globalTemplate.deriveSettings.definesSubclientMac.definesEntity">
				<div class="content-checkboxes">
					<div id="backup-content-folders">
						<div class="content-header clearfix">
							<h4>
								<cv:msg key="label.contentToBackup" bundle="profiles" />
							</h4>
							<div class="content-header-actions">
								<span class="page-action-item"> <a href="" data-ng-click="addFolder('mac')"><cv:msg key="action.add" bundle="profiles" /></a>
								</span>
								<span class="page-action-item" data-ng-hide="macFolderSelected.length ===1 && macFolderSelected[0] === '/'"> <a href=""
									data-ng-click="deleteAll('mac')"><cv:msg key="label.removeAll"
											bundle="profiles" /></a>
								</span>
							</div>
						</div>
						<div class="peopleInfos ownerInfo">
							<ul class="users-list limit-modal-height">
								<li data-ng-repeat="folder in macFolderSelected | orderBy track by $index" title="{{folder | trimFolderName}}">
									<span class=" content-library-folder content-library-{{folder | trimUnixFolderName}}" data-ng-class="{'content-library-file' : {{folder | isFolder}} === false}">
										<label for="mac-{{folder}}" class="ellipsis-parent ellipsis-content">{{folder | trimUnixFolderName}}<span data-ng-if="folder == '/'" class='laptop-content-help-text'><cv:msg key='label.allContents' bundle='profiles' /></span></label>
										<span class="delete-row">
											<a href="" data-ng-click="toggleMacFolderSelection(folder)" title="<cv:msg key='label.removeContent' bundle='collectionsJs' /> {{folder | trimUnixFolderName}} "><span class="k-icon k-i-close"></span></a>
										</span>
									</span>
								</li>
							</ul>
						</div>
					</div>
					<div id="exclude-folders">
						<div class="content-header clearfix">
							<h4><cv:msg key="label.excludes" bundle="profiles" /></h4>
							<div class="content-header-actions">
								<span class="page-action-item"> <a href="" data-ng-click="addFolder('mac', true)"><cv:msg key="action.add" bundle="profiles" /></a></span>
								<span class="page-action-item" data-ng-if="macExcludeSelected.length"> <a href="" data-ng-click="deleteAll('mac', true)"><cv:msg key="label.removeAll" bundle="profiles" /></a>
								</span>
							</div>
						</div>
						<div class="peopleInfos ownerInfo">
							<ul class="users-list limit-modal-height">
								<li data-ng-repeat="exclude in macExcludeSelected | orderBy track by $index" title="{{exclude}}">
									<span class="content-library-folder content-library-{{exclude | trimUnixFolderName}}" data-ng-class="{'content-library-file' : {{exclude | isFolder}} === false}">
										<label for="mac-{{exclude}}" class="ellipsis-parent ellipsis-content">{{exclude | trimUnixFolderName}}</label>
										<span class="delete-row"><a href="" data-ng-click="toggleMacExcludeSelection(exclude)" title="<cv:msg key='label.removeContent' bundle='collectionsJs' /> {{exclude | trimUnixFolderName}}"><span class="k-icon k-i-close"></span></a></span>
									</span>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
			<div class="enable-quota-wrapper" data-ng-if="setup">
				<div class="cv-modal-wrapper padding-top-bottom no-left-margin" data-ng-if="setup">
					<div class="cv-inline-wrapper float-none left-margin">
						<div data-ng-disabled="isDerived && createLaptopPlan"
							data-uib-tooltip="<cv:msg key='label.overrideOptionsHelpText.notAllowed.short' bundle='profiles' />"
							data-tooltip-placement="top"
							data-tooltip-enable="isDerived && createLaptopPlan">
							<input type="checkbox" data-ng-model="model.isQuotaEnabled" data-ng-click="setQuotaValue()" id="isQuotaEnabled" name="isQuotaEnabled" />
							<label for="isQuotaEnabled" class="inline-label right-margin">
								<cv:msg key="label.isQuotaEnabled" bundle="profiles" />
							</label>
							<input data-ng-disabled="!model.isQuotaEnabled" name="quota" id="quota" type="number" min="1" step="1" data-ng-model="globalTemplate.quota" id="quota" />
							<label for="quota" class="inline-label no-margin">
								<cv:msg key="label.quota.unit" bundle="profiles" />
							</label>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
		</uib-tab> <!-- // mac ends // --> <!-- // Unix starts // -->
		<uib-tab heading="Unix" data-ng-if="unixScAvailable !== false">
		<fieldset class="toggle-inner-links" data-ng-disabled="disableBackupContentEditing">
			<div id="backup-content-wrapper" data-cv-derivable-input
					data-override-base="forceOverride || !isDerived || globalTemplate.deriveSettings.definesSubclientLin.definesEntity">
				<div class="content-checkboxes">
					<div id="backup-content-folders">
						<div class="content-header clearfix">
							<h4><cv:msg key="label.contentToBackup" bundle="profiles" /></h4>
							<div class="content-header-actions">
								<span class="page-action-item"> <a href="" data-ng-click="addFolder('unix')"><cv:msg key="action.add" bundle="profiles" /></a></span>
								<span class="page-action-item" data-ng-hide="unixFolderSelected.length ===1 && unixFolderSelected[0] === '/'"> <a href="" data-ng-click="deleteAll('unix')"><cv:msg key="label.removeAll" bundle="profiles" /></a></span>
							</div>
						</div>
						<div class="peopleInfos ownerInfo">
							<ul class="users-list limit-modal-height">
								<li data-ng-repeat="folder in unixFolderSelected | orderBy track by $index" title="{{folder | trimFolderName}}">
									<span class=" content-library-folder content-library-{{folder | trimUnixFolderName}}" data-ng-class="{'content-library-file' : {{folder | isFolder}} === false}">
										<label for="unix-{{folder}}" class="ellipsis-parent ellipsis-content">{{folder | trimUnixFolderName}}
											<span data-ng-if="folder == '/'" class='laptop-content-help-text'><cv:msg key='label.allContents' bundle='profiles' /></span>
										</label>
										<span class="delete-row">
											<a href="" data-ng-click="toggleUnixFolderSelection(folder)" title="<cv:msg key='label.removeContent' bundle='collectionsJs' /> {{folder | trimUnixFolderName}}"><span class="k-icon k-i-close"></span></a>
										</span>
									</span>
								</li>
							</ul>
						</div>
					</div>
					<div id="exclude-folders">
						<div class="content-header clearfix">
							<h4><cv:msg key="label.excludes" bundle="profiles" /></h4>
							<div class="content-header-actions">
								<span class="page-action-item"> <a href="" data-ng-click="addFolder('unix', true)"><cv:msg key="action.add" bundle="profiles" /></a></span>
								<span class="page-action-item" data-ng-if="unixExcludeSelected.length"> <a href="" data-ng-click="deleteAll('unix', true)"><cv:msg key="label.removeAll" bundle="profiles" /></a></span>
							</div>
						</div>
						<div class="peopleInfos ownerInfo">
							<ul class="users-list limit-modal-height">
								<li data-ng-repeat="exclude in unixExcludeSelected | orderBy track by $index" title="{{exclude}}">
									<span class=" content-library-folder content-library-{{exclude | trimUnixFolderName}}" data-ng-class="{'content-library-file' : {{exclude | isFolder}} === false}">
										<label for="unix-{{exclude}}" class="ellipsis-parent ellipsis-content">{{exclude | trimUnixFolderName}}</label>
										<span class="delete-row"><a href="" data-ng-click="toggleUnixExcludeSelection(exclude)" title="<cv:msg key='label.removeContent' bundle='collectionsJs' /> {{exclude | trimUnixFolderName}}"><span class="k-icon k-i-close"></span></a></span>
									</span>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>
			<div class="enable-quota-wrapper" data-ng-if="setup">
				<div class="cv-modal-wrapper padding-top-bottom no-left-margin" data-ng-if="setup">
					<div class="cv-inline-wrapper float-none left-margin">
						<div data-ng-disabled="isDerived && createLaptopPlan"
							data-uib-tooltip="<cv:msg key='label.overrideOptionsHelpText.notAllowed.short' bundle='profiles' />"
							data-tooltip-placement="top"
							data-tooltip-enable="isDerived && createLaptopPlan">
							<input type="checkbox" id="isQuotaEnabled" name="isQuotaEnabled" data-ng-model="model.isQuotaEnabled" data-ng-click="setQuotaValue()" />
							<label for="isQuotaEnabled" class="inline-label right-margin">
								<cv:msg key="label.isQuotaEnabled" bundle="profiles" />
							</label>
							<input data-ng-disabled="!model.isQuotaEnabled" name="quota" id="quota" type="number" min="1" step="1" data-ng-model="globalTemplate.quota" id="quota" />
							<label for="quota" class="inline-label no-margin">
								<cv:msg key="label.quota.unit" bundle="profiles" />
							</label>
						</div>
					</div>
				</div>
			</div>
		</fieldset>
		</uib-tab> <!-- // Unix ends // -->
		</uib-tabset>
		<!-- // entire tab set ends // -->
	</span>
	<!-- // span that gives me specificity ends // -->
	<div data-ng-if="!setup && !eraseDeviceContent" class="button-container no-top-margin">
		<button id="backupContentProfile_button_#5278" type="button" class="btn btn-default cvBusyOnAjax" 
			data-ng-click="cancel()">
			<cv:msg key="action.cancel" bundle="profiles" />
		</button>
		<button id="backupContentProfile_button_#6529" type="submit" class="btn btn-primary cvBusyOnAjax" 
			data-ng-click="saveContent('modal')" data-ng-disabled="disableBackupContentEditing">
			<cv:msg key="action.save" bundle="profiles" />
		</button>
	</div>
	<div data-ng-if="setup" class="button-container no-top-margin">
		<button id="backupContentProfile_button_#8526" type="button" data-ng-click="goPreviousStep()" 
			class="btn btn-default cvBusyOnAjax">
			<cv:msg key="action.previous" bundle="profiles" />
		</button>
		<button id="backupContentProfile_button_#9817" type="button" data-ng-click="saveContent()" 
			class="btn btn-primary cvBusyOnAjax">
			<cv:msg key="action.next" bundle="profiles" />
		</button>
	</div>
	<div data-ng-if="eraseDeviceContent" class="button-container no-top-margin">
		<button id="backupContentProfile_button_#3987" type="button" class="btn btn-default cvBusyOnAjax" 
			data-ng-click="cancel()">
			<cv:msg key="action.cancel" bundle="profiles" />
		</button>
		<button id="backupContentProfile_button_#9173" type="button" data-ng-click="saveContent()" 
			class="btn btn-primary cvBusyOnAjax">
			<cv:msg key="action.erase" bundle="devices" />
		</button>
	</div>
</div>