<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.schedule"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
</script>
<div class="row">
	<div
		class="col-xs-12 col-md-10 col-md-offset-1 col-lg-8 col-lg-offset-2">
		<div class="setup-title">
			<h1>
				<cv:msg key="label.createFsProfile" bundle="profiles" />
				<cv-help-component
					data-help-text="<cv:msg key="label.addServerPlanHelpText" bundle="profiles"/>"></cv-help-component>
			</h1>
		</div>
		<div class="setup-section"
			data-ng-controller="createProfileController">
			<p class="{{serverConfigMessage.type}} serverMessage text-center">{{serverConfigMessage.message}}</p>
			<div class="text-center">
				<a data-ng-click="changeConfig()" data-ng-show="formConfig.hide"><cv:msg
						key="label.CreateNewPlan" bundle="profiles" /></a>
			</div>
			<cv-plan-creation-messages data-ng-if="showMessagesLoaded"show-messages=showMessages></cv-plan-creation-messages>
			<form name="addServerPLanForm" data-cv-submit="addPlanFromAcSetup()" data-cv-validate="true"
				novalidate autocomplete="off" data-ng-show="showPlanCreationForm && !formConfig.hide">
				
				<div>
					<!-- <ng-include src="addServerPlanTemplate"></ng-include> -->
					<ac-setup-plans id="gold" ac-setup-plan="acSetupPlan"
						show-plan-skip="showPlanSkip" plan-sub-type="planSubType"
						global-template="globalTemplateGold"
						added-schedules="addedSchedulesGold"
						storage-pools="storagePoolsGold"
						secondary-storage-pools="secondaryStoragePoolsGold"
						general-setup-message="generalSetupMessageGold"
						disable-next="goldStatus.disableNext"
						windows-folder-selected="goldWindowsFolderSelected"
						unix-folder-selected="goldUnixFolderSelected"
						mac-folder-selected="goldMacFolderSelected"
						windows-exclude-selected="goldWindowsExcludeSelected"
						unix-exclude-selected="goldUnixExcludeSelected"
						mac-exclude-selected="goldMacExcludeSelected"></ac-setup-plans>
				</div>
				
				<div class="button-container setup-button-container-actions">
					<button id="createFsSetupProfile_button_#5273" type="button" class="btn btn-default cvBusyOnAjax" 
						data-ng-if="showPlanSkip" data-ng-click="skip()">
						<cv:msg key="action.skip" bundle="profiles" />
					</button>
					<button id="createFsSetupProfile_button_#5869" type="submit" class="btn btn-primary cvBusyOnAjax" 
						data-ng-disabled="disableNext || goldStatus.disableNext || silverStatus.disableNext || bronzeStatus.disableNext">
						<cv:msg key="action.save" bundle="profiles" />
					</button>
				</div>
			</form>
			<div class="button-container continue-button-container text-center"
				data-ng-show="formConfig.hide">
				<button id="createFsSetupProfile_button_#3502" type="button" 
					class="btn btn-default cvBusyOnAjax skip-btn--hidden"
					data-ng-click="skip()">
					<cv:msg key="Continue" bundle="messages" />
				</button>
			</div>
		</div>
	</div>
</div>