<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1><cv:msg key="label.editAllowedFeatures" bundle="profiles"/></h1>
</div>
<div class="setup-content">
	<div class="{{editFeaturesServerMessage.type}} serverMessage">{{editFeaturesServerMessage.message}}</div>
	<form name="editAllowedFeaturesForm" data-cv-submit="saveFeatures()" novalidate autocomplete="off" id="modal-component-container">
		<%--  <ul class="group list-style__header">
			<li><cv:msg key="label.featureList" bundle="profiles"/></li>
		</ul>
		<div class="modalForm-overflow-scroll">
			<ul class="list-style__row group" data-ng-repeat="feature in globalAllowedFeatures">
				<li>
					<input type="checkbox" id="feature-{{feature.value}}" data-ng-model="feature.selected">
					<label for="feature-{{feature.value}}" >{{feature.name}}</label>
				</li>
			</ul>
		</div>  --%>
		<div class=" cv-modal-wrapper">
			<div class="setup-wrapper">
				<label class="cv-label cv-no-padding"><cv:msg key="label.allowedFeatures" bundle="profiles" /></label>
				<div class="cv-inline-wrapper padding-left" >
					<label class="multiple-checkbox-group" data-ng-repeat="feature in globalAllowedFeatures">
						<input id="{{feature.value}}" type="checkbox" data-ng-model="feature.selected" checked data-ng-disabled="feature.value === 146 && feature.selected && disableEdgeDriveSettings && disableCheckEdgeDrive" data-ng-change="showFeatures(feature)"/>
						<label class="checkbox-label" for="{{feature.value}}">{{feature.name}}</label>
					</label>
				</div>
			</div>
		</div>
	<div class="row">
		<div class="col-md-12">
			<cv-tile-component data-ac-id="label_edgeDrive-profiles" data-title='<cv:msg key="label.edgeDrive" bundle="profiles"/>' min-height="true" data-ng-if="showEdgeSetting">
				<div>
					<div class="component-container" data-ng-disabled="disableEdgeDriveSettings && disableCheckEdgeDrive">
						<div class="serverMessage">{{editFeaturepMessage.message}}</div>
							<!-- <label class="inline-float-label-spacer">&nbsp;</label> -->
							<div class="content-wrapper">
								<label for="newEdgeDrive" class="radio-label" data-ng-show="agentList.length > 0">
									<input data-ng-hide="!maList || maList.length == 0" id="newEdgeDrive" type="radio" name="newEdgeDrive" value="newEdgeDrive"
											data-ng-model="edgeDrive" data-ng-change="newEdgeDriveChange()"/><cv:msg key="label.newEdgeDrive" bundle="profiles"/>
		                        </label>
		                        <label for="existingEdgeDrive" class="radio-label" data-ng-show="maList.length > 0">
		                        	<input data-ng-hide="!agentList || agentList.length == 0" id="existingEdgeDrive" type="radio" name="exsitingEdgeDrive" value="exsitingEdgeDrive"
		                        		data-ng-model="edgeDrive" data-ng-change="existingEdgeDriveChange()"/><cv:msg key="label.existingEdgeDrive" bundle="profiles"/>
		                        </label>
		                    </div>
		            </div>
					<!-- Existing Edge Drive -->
					<div data-ng-if="maList.length > 0" class="margin-bottom-5" data-ng-disabled="disableEdgeDriveSettings && disableCheckEdgeDrive">
						<label data-ng-if="edgeDrive == 'exsitingEdgeDrive'" for="mediaAgent" class="select-label inline-label less-margin"><span class="label-spacer"><cv:msg key="label.indexServer" bundle="profiles"/></span>
							<select id="mediaAgent" name="mediaAgent" data-ng-model="globalTemplate.edgeDrive"
								data-ng-options="agent.clientName for agent in maList track by agent.clientId" class="no-float-auto tile-large-width">
								<option value=""><cv:msg key="placeholder.mediaAgent" bundle="storage"/></option>
							</select>
						</label>
					</div>
					<!-- Create a new Edge Drive -->
					<div data-ng-if="edgeDrive == 'newEdgeDrive' && agentList.length > 0" data-ng-disabled="disableEdgeDriveSettings && disableCheckEdgeDrive">
						<label for="mediaAgent"  data-ng-if="agentList.length > 0" class="select-label inline-label less-margin"><span class="label-spacer"><cv:msg key="label.mediaAgent" bundle="profiles"/></span>
							<select id="mediaAgent" name="mediaAgent" data-ng-model="globalTemplate.edgeDrive.mediaAgent"
								data-ng-change="changeMa()"
								data-ng-options="agent.name for agent in agentList track by agent.id" class="no-float-auto tile-large-width" >
								<option value=""><cv:msg key="placeholder.mediaAgent" bundle="storage"/></option>
							</select>
						</label>
					</div>
					<div  data-ng-if="edgeDrive == 'newEdgeDrive' && agentList.length > 0" data-ng-disabled="disableEdgeDriveSettings && disableCheckEdgeDrive">
						<label for="mountPath" class="inline-label less-margin"><span class="label-spacer"><cv:msg key="label.indexDirectory"  bundle="profiles" /></span>
							<input type="text" class="indexServerPath" name="mountPath" id="mountPath" data-ng-model="globalTemplate.edgeDrive.mountPath" required data-ng-pattern='pathPattern'/>
							<button id="browseIndexServer" type="button" data-ng-click="browse()" class="btn btn-default">
							<cv:msg key="Browse" bundle="storage"/>
						</button>
						</label>
					</div>
					<jsp:include page="edgeDriveQuota.jsp"></jsp:include>
					<%--
					<div data-ng-if="edgeDrive == 'newEdgeDrive'">
						<label for="maxMemory"><span class="label-spacer"><cv:msg key="label.maxMemory" bundle="profiles"/></span>
							<input type="number" min="0" name="maxMemory" id="maxMemory" data-ng-model="globalTemplate.edgeDrive.maxMemory"/>
						</label>
					</div> --%>
				</div>
				<span  class="help-block-top" data-ng-show="editAllowedFeaturesForm.mountPath.$error.required && cv.editAllowedFeaturesForm.needsAttention(editAllowedFeaturesForm.mountPath)">
						<cv:msg key="error.mountpath.required" bundle="storage"/></span>
				<span class="help-block-top" data-ng-show="editAllowedFeaturesForm.mountPath.$error.pattern && cv.editAllowedFeaturesForm.needsAttention(editAllowedFeaturesForm.mountPath)">
						<cv:msg key="error.mountpath.invalid" bundle="storage"/></span>
			</cv-tile-component>
		</div>
		<div class="col-md-12">
			<cv-tile-component data-ac-id="label_archivingRules-profiles" data-ng-if="showArchiving" data-title='<cv:msg key="label.archivingRules" bundle="profiles"/>'  min-height="true" >
				<ul class="list-style-secondary">
					<li class="group"><span class="pageDetailColumn"><cv:msg key="label.startCleanDisk" bundle="profiles" /></span>
						 <span class="pageDetailColumn">{{archivingRulesInfo.startCleaningIfLessThan}}<cv:msg key="label.free" bundle="profiles" /></span></li>
					<li class="group"><span class="pageDetailColumn"><cv:msg key="label.stopCleanDisk" bundle="profiles" /></span>
						 <span class="pageDetailColumn">{{archivingRulesInfo.stopCleaningIfupto}}<cv:msg key="label.free" bundle="profiles" /></span></li>
				</ul>
				<div class="page-details-box-links">
					<a class="archiving-rule" href="" data-ng-click="modifyArchivingRules()"><cv:msg key="action.edit" bundle="profiles" />
					</a>
				</div>
			</cv-tile-component>
		</div>
	</div>
		<div class="button-container">
				<button id="editAllowedFeatures_button_#1903" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="cancel()"><cv:msg key="action.cancel" bundle="profiles"/></button> 
				<button id="editAllowedFeatures_button_#2180" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="action.save" bundle="profiles"/></button> 
		</div>
	</form>
</div>
