<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1><cv:msg key="label.editEdgeDrive" bundle="profiles" /></h1>
</div>
<div class="setup-content bootstrap-wrapper">
	<div class="{{editFeaturesServerMessage.type}} serverMessage">{{editFeaturesServerMessage.message}}</div>
	<form name="editAllowedFeaturesForm" data-cv-submit="saveEdgeDrive()" novalidate autocomplete="off" id="modal-component-container" class="form-horizontal">
	<div class="row">
		<div class="col-md-12">
			<cv-tile-component data-ac-id="label_edgeDrive-profiles" data-title='<cv:msg key="label.edgeDrive" bundle="profiles"/>' min-height="false">
					<div class="component-container" data-ng-disabled="disableEdgeDriveSettings && disableCheckEdgeDrive">
						<div class="serverMessage">{{editFeaturepMessage.message}}</div>
							<div class="content-wrapper">
								<label for="newEdgeDrive" class="radio-label" data-ng-show="agentList.length > 0">
									<input data-ng-hide="!maList || maList.length == 0" id="newEdgeDrive" type="radio" name="newEdgeDrive" value="newEdgeDrive"
											data-ng-model="edgeDrive" data-ng-change="newEdgeDriveChange()"/><cv:msg key="label.newEdgeDrive" bundle="profiles"/>
		                        </label>
		                        <label for="existingEdgeDrive" class="radio-label" data-ng-show="maList.length > 0">
		                        	<input data-ng-hide="!agentList || agentList.length == 0" id="existingEdgeDrive" type="radio" name="exsitingEdgeDrive" value="exsitingEdgeDrive"
		                        		data-ng-model="edgeDrive" data-ng-change="existingEdgeDriveChange()"/><cv:msg key="label.existingEdgeDrive" bundle="profiles"/>
		                        </label>
		                    </div>
		            </div>
	<div class="panel panel-default no-border">
		<div class="panel-body">
			<!--// Existing Edge Drive //-->
			<div class="form-group" data-ng-if="edgeDrive == 'exsitingEdgeDrive' && maList.length > 0" data-ng-disabled="disableEdgeDriveSettings && disableCheckEdgeDrive">
				<label class="col-xs-12 col-lg-3" for="mediaAgent"for="mediaAgent"><cv:msg key="label.indexServer" bundle="profiles" /></label>
				<div class="col-xs-12 col-lg-9"><select id="mediaAgent" name="mediaAgent" data-ng-model="globalTemplate.edgeDrive"
													data-ng-options="agent.clientName for agent in maList track by agent.clientId">
													<option value=""><cv:msg key="placeholder.selectIndexServer" bundle="profiles"/></option>
												</select></div>
			</div>
			<!--// Existing Edge Drive end //-->
			<!--// Create a new Edge Drive //-->
			<div class="form-group" data-ng-if="edgeDrive == 'newEdgeDrive' && agentList.length > 0" data-ng-disabled="disableEdgeDriveSettings && disableCheckEdgeDrive">
				<label class="col-xs-12 col-lg-3" for="client"  data-ng-if="agentList.length > 0"><cv:msg key="label.client" bundle="profiles"/></label>
				<div class="col-xs-12 col-lg-9"><select id="mediaAgent" name="mediaAgent" data-ng-model="globalTemplate.edgeDrive.mediaAgent"
													data-ng-change="getOsType(globalTemplate.edgeDrive.mediaAgent.clientId, true)"
													data-ng-options="agent.clientName for agent in agentList track by agent.clientId" class="no-float-auto tile-large-width" >
													<option value=""><cv:msg key="placeholder.selectNode" bundle="profiles"/></option>
												</select></div>
			</div>
			<!--// Create a new Edge Drive end //-->
			<!--// Index Directory //-->
			<div data-ng-if="edgeDrive == 'newEdgeDrive' && agentList.length > 0" data-ng-disabled="disableEdgeDriveSettings && disableCheckEdgeDrive">
			<div class="form-group">
				<label class="col-xs-12 col-lg-3" for="mountPath"><cv:msg key="label.indexDirectory"  bundle="profiles" /></label>
				<div class="col-xs-12 col-lg-9"><div class="input-group"><input type="text"
														class="indexServerPath"
														name="mountPath"
														id="mountPath"
														data-ng-model="globalTemplate.edgeDrive.mountPath"
														required data-ng-pattern='pathPattern' />
												<span class="input-group-btn">
												<button id="editEdgeDrive_button_#2007" type="button" data-ng-click="browse()" class="btn btn-default browse-btn float-right margin-0"> 
												<cv:msg key="Browse" bundle="storage"/>
												</button>
												</span>
												</div></div>
			</div>
			</div>
			<!--// Index Directory end //-->
			<!--// checkboxes //-->
			<div class="form-group">
						<div class="col-xs-12 col-md-12 col-lg-12">
							<div class="multiple-checkbox-group">
							<input type="checkbox" data-ng-model="globalTemplate.auditDriveActivities" id="auditDriveActivities" name="auditDriveActivities" />
							<label for="auditDriveActivities"><cv:msg key="label.auditDriveActivities" bundle="profiles" /></label>
							</div>
							<div class="multiple-checkbox-group">
							<input type="checkbox" data-ng-model="globalTemplate.enableNotificationsForShares" id="enableNotificationsForShares" name="enableNotificationsForShares" />
							<label for="enableNotificationsForShares"><cv:msg key="label.enableNotificationsForShares" bundle="profiles"/></label>
							</div>
						</div>
			</div>
			<!--// checkboxes end //-->
			<!--// enable quota //-->
			<div class="form-group">
				<jsp:include page="edgeDriveQuota.jsp"></jsp:include>
			</div>
			<!--// enable quota end //-->
		</div>
	</div>
				<span  class="help-block-top" data-ng-show="editAllowedFeaturesForm.mountPath.$error.required && cv.editAllowedFeaturesForm.needsAttention(editAllowedFeaturesForm.mountPath)">
						<cv:msg key="error.noIndexDirectory" bundle="profiles"/></span>
				<span class="help-block-top" data-ng-show="editAllowedFeaturesForm.mountPath.$error.pattern && cv.editAllowedFeaturesForm.needsAttention(editAllowedFeaturesForm.mountPath)">
						<cv:msg key="error.noIndexDirectory" bundle="profiles"/></span>
			</cv-tile-component>
		</div>
		</div>
		<div class="button-container">
				<button id="editEdgeDrive_button_#3477" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="cancel()"><cv:msg key="action.cancel" bundle="profiles"/></button> 
				<button id="editEdgeDrive_button_#5342" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="action.save" bundle="profiles"/></button> 
		</div>
	</form>
</div>
