<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<div data-ng-controller='profilesDetailsVsaController'>
	<div class="row">
		<div class="col-md-12">
				<span data-ng-if="showEdit"><cv-changename obj='changeNameObj' service-method="renamePlan.do" class="float-left"></cv-changename></span>
				<h1 class='page-title' data-ng-if="!showEdit">{{profileName}}</h1>
				<!-- <span><a class="page-action-item" href=""><cv:msg key="action.asignToUsers" bundle="profiles" /></a></span> -->
				<span data-ng-if="showDelete"><a class="page-action-item" href="" data-ng-click="deleteProfile(profileId,profileName)"><cv:msg key="action.delete" bundle="profiles" /></a></span>
		</div>
	</div>
	<span class="server-message {{serverMessage.type}}">{{serverMessage.message}}</span>
	<div class="row">
		<div class="col-md-6">
			<cv-security-component entity-type='entityType' generic-entity = 'genericEntity'
					associations='formattedSecurityAssociations' associations-loaded="associationsLoaded" hide-inherited-associations="isTenantAdmin">
			</cv-security-component>
			<!-- Storage copy -->
	  	<cv-plan-storage-pool profile-details="profileDetails" master-profile="masterProfile" plan-sub-type="planSubType" show-edit="showEdit && !hideEditStorage" show-source="true"></cv-plan-storage-pool>
		</div>
		<div class="col-md-6">
			<cv-tile-component data-ac-id="label_sla-profiles" data-title='<cv:msg key="label.rpo" bundle="profiles"/>' help-text="<cv:msg key="info.help.rpo" bundle="profiles"/>{{slaHelpText}}" loader="slaInfo">
				<ul class="list-style-secondary">
					<cv-replication-frequency
						show-edit="!isTenantAdmin"
						sla-info="slaInfo"
						model="uiModel"
						profile-id="profileId"
						backup-schedule="profileDetails.schedule">
					</cv-replication-frequency>

					<li class="group">
						<span class="pageDetailColumn"><cv:msg key="label.backupWindow" bundle="profiles" /></span>
						<span class="pageDetailColumn"><cv-backup-window-list data-cv-model="slaInfo.backupWindow"
						data-cv-no-edit="isTenantAdmin" data-cv-on-edit="editBackupWindow"></cv-backup-window-list><span>
					</li>
				</ul>
				<span data-ng-if="associatedSchedulesEnabled && !showAssociatedSchedules" class="tile-link-wrapper">
					<a class="tile-content-link" data-ng-click="getAssociatedSchedule()"><cv:msg key="label.showAssociatedSchedules" bundle="profiles" /></a>
				</span>
			</cv-tile-component>
			<cv-schedule-tile data-ng-if="associatedSchedulesEnabled && showAssociatedSchedules" task-id="taskId" show-edit="showEdit" plan-sub-type="planSubType" sla="true" schedules="profileDetails.schedule"></cv-schedule-tile>
			<!-- Replication -->
		<%-- 	<cv-tile-component data-ac-id="label_replication-profiles" data-ng-if="planSubType=='VSAReplication'" data-title='<cv:msg key="label.replication" bundle="profiles"/>' loader="vsaPlan">
				<cv-grid cv-grid-options="replicationGridOptions"></cv-grid>
			</cv-tile-component> --%>
		</div>
	</div>
</div>